#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0x724d1a46, "");
SYMBOL_CRC(bme280_chip_info, 0x05a83b82, "");
SYMBOL_CRC(bmp380_chip_info, 0xef42fb30, "");
SYMBOL_CRC(bmp580_chip_info, 0x1780b086, "");
SYMBOL_CRC(bmp180_chip_info, 0x0e2c3f9d, "");
SYMBOL_CRC(bmp280_common_probe, 0xf0a5d614, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x27795ef3, "");
SYMBOL_CRC(bmp180_regmap_config, 0x76ca199e, "");
SYMBOL_CRC(bmp280_regmap_config, 0x9c4cc4fc, "");
SYMBOL_CRC(bme280_regmap_config, 0xb184724c, "");
SYMBOL_CRC(bmp380_regmap_config, 0x731e721d, "");
SYMBOL_CRC(bmp580_regmap_config, 0x7d62ce98, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24684e7d, "regmap_bulk_write" },
	{ 0x405a351f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf14c8360, "regmap_bulk_read" },
	{ 0x7e10b10b, "regmap_update_bits_base" },
	{ 0x30060195, "dev_err_probe" },
	{ 0xfa29eec5, "__pm_runtime_suspend" },
	{ 0xf2d8fdac, "__devm_add_action" },
	{ 0xcb27a727, "__pm_runtime_use_autosuspend" },
	{ 0xb7852854, "__pm_runtime_disable" },
	{ 0xc2ee7100, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7f56c4ec, "regmap_write" },
	{ 0x3250a621, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa1e22f07, "gpiod_set_value" },
	{ 0x6b142169, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc1903647, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4526a192, "devm_gpiod_get_optional" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x44c51b0f, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27c887e6, "pm_runtime_enable" },
	{ 0xb4135fe9, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc21353d4, "_dev_info" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x3c0e701f, "irq_get_irq_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6e65d8b0, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa5e9938d, "devm_iio_device_alloc" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0xafdf23f7, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6298ba0a, "regulator_bulk_enable" },
	{ 0xa652b2a, "devm_regulator_bulk_get" },
	{ 0x5766c7d3, "regmap_read" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "4B0E7D2B32A68FB0AF107B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
