#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0xae956dce, "");
SYMBOL_CRC(mult_to_ib_rate, 0xe7b52e5f, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x61d24c52, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x9117b58d, "");
SYMBOL_CRC(__ib_alloc_pd, 0x495d96d3, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x54353031, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x7ff239bf, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x0743d210, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x7c9cfc35, "");
SYMBOL_CRC(rdma_create_ah, 0x9f9a3888, "");
SYMBOL_CRC(rdma_create_user_ah, 0xbbb7a88b, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x66095450, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x807c34fe, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xc23a9a07, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x5f8c15f0, "");
SYMBOL_CRC(rdma_modify_ah, 0xdb0cb616, "");
SYMBOL_CRC(rdma_query_ah, 0x4caf37b3, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x728a43dd, "");
SYMBOL_CRC(ib_create_srq_user, 0xed20c257, "");
SYMBOL_CRC(ib_modify_srq, 0x15298b89, "");
SYMBOL_CRC(ib_query_srq, 0xb4c199b3, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xa9514cf5, "");
SYMBOL_CRC(ib_open_qp, 0xfac973c1, "");
SYMBOL_CRC(ib_create_qp_user, 0xa0e68fc8, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x66f60ef5, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xe80ed02e, "");
SYMBOL_CRC(ib_create_qp_kernel, 0xdd878842, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0x73baf9a2, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x21a84d10, "");
SYMBOL_CRC(ib_get_eth_speed, 0xe6f43719, "");
SYMBOL_CRC(ib_modify_qp, 0xe15f0d2f, "");
SYMBOL_CRC(ib_query_qp, 0x6b3790c2, "");
SYMBOL_CRC(ib_close_qp, 0xebd4598d, "");
SYMBOL_CRC(ib_destroy_qp_user, 0xedbbe1bf, "");
SYMBOL_CRC(__ib_create_cq, 0xf6e26cf6, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x46f187f4, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x41ec827f, "");
SYMBOL_CRC(ib_resize_cq, 0x69253567, "");
SYMBOL_CRC(ib_reg_user_mr, 0x8e8c0982, "");
SYMBOL_CRC(ib_advise_mr, 0x8233c097, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x9cff02ef, "");
SYMBOL_CRC(ib_alloc_mr, 0x444e9a8c, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0xd9049475, "");
SYMBOL_CRC(ib_attach_mcast, 0x8932b8ba, "");
SYMBOL_CRC(ib_detach_mcast, 0xe76dc816, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x29f23150, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x42db764c, "");
SYMBOL_CRC(ib_create_wq, 0xb41ebea1, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x949fb38d, "");
SYMBOL_CRC(ib_check_mr_status, 0x0e551c82, "");
SYMBOL_CRC(ib_set_vf_link_state, 0xc0161a4d, "");
SYMBOL_CRC(ib_get_vf_config, 0x7ba03b06, "");
SYMBOL_CRC(ib_get_vf_stats, 0x5b638654, "");
SYMBOL_CRC(ib_set_vf_guid, 0xb65b4305, "");
SYMBOL_CRC(ib_get_vf_guid, 0xa3371e09, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xf25c2c1e, "");
SYMBOL_CRC(ib_map_mr_sg, 0x6890b2c2, "");
SYMBOL_CRC(ib_sg_to_pages, 0xd8d25926, "");
SYMBOL_CRC(ib_drain_sq, 0x95f75c84, "");
SYMBOL_CRC(ib_drain_rq, 0x08a9ce9c, "");
SYMBOL_CRC(ib_drain_qp, 0xf8dec970, "");
SYMBOL_CRC(rdma_alloc_netdev, 0xb925fc2a, "");
SYMBOL_CRC(rdma_init_netdev, 0x0365daca, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0xcdfd6136, "");
SYMBOL_CRC(__ib_alloc_cq, 0x0ec127ec, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xb4d6ddba, "");
SYMBOL_CRC(ib_free_cq, 0x2f3f4564, "");
SYMBOL_CRC(ib_cq_pool_get, 0xc0049ed7, "");
SYMBOL_CRC(ib_cq_pool_put, 0x836de6b2, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x46a8e238, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x9933fe69, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0xa684758f, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x8597e078, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0x5fa354cb, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x28aaaa53, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x7aa40907, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0xcc4ab6e0, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x0dddd1ba, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xf5c42f70, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x0ffa65cf, "");
SYMBOL_CRC(ibdev_printk, 0x6577d3a5, "");
SYMBOL_CRC(ibdev_emerg, 0x7d73d7c6, "");
SYMBOL_CRC(ibdev_alert, 0xfa6f1fc1, "");
SYMBOL_CRC(ibdev_crit, 0xf41e98b1, "");
SYMBOL_CRC(ibdev_err, 0xf543adaa, "");
SYMBOL_CRC(ibdev_warn, 0x7c270833, "");
SYMBOL_CRC(ibdev_notice, 0x5f8fdb60, "");
SYMBOL_CRC(ibdev_info, 0xf012d546, "");
SYMBOL_CRC(ib_device_put, 0xfa739d29, "");
SYMBOL_CRC(ib_device_get_by_name, 0xdd04fc20, "");
SYMBOL_CRC(_ib_alloc_device, 0x3329ee1d, "");
SYMBOL_CRC(ib_dealloc_device, 0x31feb954, "");
SYMBOL_CRC(ib_port_immutable_read, 0x55dc8305, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xf3e6a660, "");
SYMBOL_CRC(ib_register_device, 0x5a8cb4d2, "");
SYMBOL_CRC(ib_unregister_device, 0xdd9ab0a6, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x6aa5c198, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x6e800c20, "");
SYMBOL_CRC(ib_register_client, 0x1b1c3ae2, "");
SYMBOL_CRC(ib_unregister_client, 0x35587b0d, "");
SYMBOL_CRC(ib_set_client_data, 0xa585a03c, "");
SYMBOL_CRC(ib_register_event_handler, 0x8e54aeb5, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x7b2164a8, "");
SYMBOL_CRC(ib_query_port, 0xeabfba2d, "");
SYMBOL_CRC(ib_device_set_netdev, 0x1ae153d0, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0xc894df4a, "");
SYMBOL_CRC(ib_query_pkey, 0x1368c357, "");
SYMBOL_CRC(ib_modify_device, 0xf6b954a1, "");
SYMBOL_CRC(ib_modify_port, 0x53454321, "");
SYMBOL_CRC(ib_find_gid, 0x356d5529, "");
SYMBOL_CRC(ib_find_pkey, 0x7f266ebe, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xd717018a, "");
SYMBOL_CRC(ib_set_device_ops, 0xa3634402, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x4e913aa3, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x26614447, "");
SYMBOL_CRC(rdma_query_gid, 0xf4a56b1c, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x5e27aa2e, "");
SYMBOL_CRC(rdma_find_gid, 0x1d350ab1, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x8229214c, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x5a19a3dd, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xcf1f8827, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xe5d3fe21, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x20bfdbe1, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x2c0b1c53, "");
SYMBOL_CRC(rdma_get_gid_attr, 0xb1f5fa2b, "");
SYMBOL_CRC(rdma_query_gid_table, 0x772165ae, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xcdca1f51, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x2bcd7066, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x69804dbc, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x8bd38890, "");
SYMBOL_CRC(ib_dispatch_event, 0x932a683c, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x0ba36810, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0xeb6b28ac, "");
SYMBOL_CRC(ibnl_put_attr, 0x589d46a5, "");
SYMBOL_CRC(rdma_nl_unicast, 0xaff27b17, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x6d71e19f, "");
SYMBOL_CRC(rdma_nl_multicast, 0x2a60096c, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xd511ebfa, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x3ebf197b, "");
SYMBOL_CRC(ib_mr_pool_get, 0x7d1023dd, "");
SYMBOL_CRC(ib_mr_pool_put, 0xe3d6b7f2, "");
SYMBOL_CRC(ib_mr_pool_init, 0xf60c0baa, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0xdfdd3ef3, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0xc16a4688, "");
SYMBOL_CRC(rdma_translate_ip, 0xce1396db, "");
SYMBOL_CRC(rdma_resolve_ip, 0x29b2cc1e, "");
SYMBOL_CRC(rdma_addr_cancel, 0x6fca01c1, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xf1317256, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0xe9aa0812, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x10a6073c, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x8752d6db, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0xc5c1b1a6, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xa3a3192d, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x8037ee05, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x57d6325f, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x8581b36f, "");
SYMBOL_CRC(ib_create_send_mad, 0xb7be644a, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x2f8c3b8e, "");
SYMBOL_CRC(ib_free_send_mad, 0x8cd0b08c, "");
SYMBOL_CRC(ib_post_send_mad, 0x7e5b76f2, "");
SYMBOL_CRC(ib_free_recv_mad, 0x7b9eaca3, "");
SYMBOL_CRC(ib_modify_mad, 0x35428a72, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x491b2a93, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x915d587b, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x7a6953d3, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x6a77cca2, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0xff58ce34, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x87f855fb, "");
SYMBOL_CRC(rdma_link_register, 0xc062ee6e, "");
SYMBOL_CRC(rdma_link_unregister, 0x5e0e0bb3, "");
SYMBOL_CRC(rdma_restrack_count, 0x27810c8b, "");
SYMBOL_CRC(rdma_restrack_set_name, 0xe55b3811, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x81724fb6, "");
SYMBOL_CRC(rdma_restrack_new, 0x7e990391, "");
SYMBOL_CRC(rdma_restrack_add, 0xbdaf278c, "");
SYMBOL_CRC(rdma_restrack_get, 0x0065a4a0, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0xe362d896, "");
SYMBOL_CRC(rdma_restrack_put, 0xb8778c13, "");
SYMBOL_CRC(rdma_restrack_del, 0x950d7cdd, "");
SYMBOL_CRC(rdma_umap_priv_init, 0xf53fed28, "");
SYMBOL_CRC(rdma_user_mmap_io, 0xc95c7dd8, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x53567c76, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xaf2c28dd, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xce8150a8, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x2ab6b193, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xe81e1a32, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xc2f352dc, "");
SYMBOL_CRC(ib_create_qp_security, 0x0e374728, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x55074c1d, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x2cb8c20e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6da6224d, "netlink_unicast" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x27d02aed, "dev_get_by_index" },
	{ 0x2541c790, "kfree_skb_reason" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xad74208d, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd5a43273, "nla_put" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x408203f8, "netlink_kernel_release" },
	{ 0xf84abf6f, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b8daa82, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfcabc05, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x462acd6c, "bpf_trace_run1" },
	{ 0xd45a5ed4, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x9ca37172, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xece784c2, "rb_first" },
	{ 0x202aae73, "__neigh_event_send" },
	{ 0x1b0b9229, "dev_printk_emit" },
	{ 0xfad92f1, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xa715db91, "skb_trim" },
	{ 0x74c8b5b2, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x1f8de24a, "netdev_walk_all_upper_dev_rcu" },
	{ 0xf4d84549, "bpf_trace_run3" },
	{ 0xc9bc097b, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f0f4a20, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbee759e2, "neigh_destroy" },
	{ 0x8978e8f7, "kobject_del" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0x8cdc474a, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89047601, "param_ops_bool" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1b397a0e, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x7f5446ab, "dev_get_by_name" },
	{ 0xeb283a4b, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecbd3720, "dst_release" },
	{ 0x6464838e, "kobject_uevent" },
	{ 0x72930b82, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7b38962d, "vlan_dev_vlan_id" },
	{ 0xd167560b, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xe3b7538f, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xd8a8ba88, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9ba52f8c, "netlink_has_listeners" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x5deee27f, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x789f33d2, "get_net_ns_by_fd" },
	{ 0x8e106c58, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x37f7b35e, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb3c672ef, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc68d5f26, "rdmacg_try_charge" },
	{ 0xe8d07002, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2bd9c9d9, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xececce59, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6dff3b8d, "dev_set_name" },
	{ 0x6f2e059d, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x88cce6a0, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0xda539662, "dma_unmap_page_attrs" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0xe1a6a330, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x77e8b1cc, "sysfs_remove_groups" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x62388819, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x94d91a0d, "kobject_init" },
	{ 0x1006dcf8, "device_initialize" },
	{ 0xf764e95b, "__dynamic_ibdev_dbg" },
	{ 0xc6089599, "sysfs_create_groups" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8345f0f1, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xc21568fa, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x3616af9f, "__netlink_kernel_create" },
	{ 0xab18ab18, "bpf_trace_run2" },
	{ 0xc5c2b8f9, "ip_route_output_flow" },
	{ 0x3d02d01, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfa8adc2, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4a7ee77f, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x14744c18, "dev_driver_string" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47cde828, "dma_map_page_attrs" },
	{ 0x56f3687b, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc4d46cca, "put_device" },
	{ 0xd9b32e34, "netlink_broadcast" },
	{ 0xbd911f9d, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4e7d09dc, "__alloc_skb" },
	{ 0xc8bcfea4, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4babb46c, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x8e43e445, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x4463ca9b, "init_net" },
	{ 0x2c7db345, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x410e7011, "ipv6_stub" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9f3f17b0, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0756F4341200616082C3D17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
