#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x8f3a1c2a, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x9a4aadcf, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x0e9314c4, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xfe43f1fb, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x671f23b8, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xaab3efda, "");
SYMBOL_CRC(mlx5_cmd_check, 0x955e172b, "");
SYMBOL_CRC(mlx5_cmd_do, 0x23c005e9, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xca3ff566, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x562fd2e9, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x2af19591, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x733301e5, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x178fb3dd, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x1ccaecf3, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x1c865880, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xcbf158a5, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x4445fc3c, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x965f35e6, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x649ab7fb, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x86e4247e, "");
SYMBOL_CRC(mlx5_eq_enable, 0x035a31ac, "");
SYMBOL_CRC(mlx5_eq_disable, 0xc280af79, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xe4ad5a63, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xde8e92d5, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x6df07cb5, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xf77c3ae7, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xcbd54c05, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x38c51cf4, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x2642cb23, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xbe274720, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xaae62581, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xda7d47d1, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xbeec66bd, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xfb2470c8, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xc51f1e22, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x0035f0c2, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x11d8449c, "");
SYMBOL_CRC(mlx5_create_cq, 0x35b14bff, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x8b0041ab, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xe785e8ee, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xd515ea6e, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xdd74e1d0, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x4c98f612, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xebcb4895, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xab0368e4, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x895c7560, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x5b4cb5e6, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xd245f962, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x98d6f67e, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x10811213, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x418d1bec, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xfd9409f9, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x7f9ea58e, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x644f72fb, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x70f838c8, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xd33d4b7b, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x050fadef, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xf05a367e, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x7157964f, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xdb744049, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x101e63c2, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xc8e2b21a, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x13e2d1fc, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xa0c1381f, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xe54e725c, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xee037e96, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x5182d5a7, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x8f7ed246, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x8c1f8a19, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x88b36186, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xc8a4221f, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xde5b40e7, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x96945e43, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x7cb59715, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xec061519, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xa8c2af21, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x6fcecd00, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xa4714606, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xa95a1164, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xc27e3d0f, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xe6582f46, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x00aed6b7, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x88c5be09, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x43a7cf81, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x50fa1aa6, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xc5ad3cdc, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xce9427b3, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xc78109a6, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x3eef7116, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xd611af47, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x266af9e2, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x582394a0, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x60962b25, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x6e00b051, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xda5e98a8, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xee675146, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xcd45e354, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x8003ff95, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xd6102f4d, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x066fbf99, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x99855790, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x954d84e4, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x06cefa36, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xa85a312b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xde85bd13, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x6eb693af, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x9c5ddf9a, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xa7378ce4, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xcd8dd3ad, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x0ea5d950, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x5f9bf376, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x2897c584, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xaff98d05, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x075b179b, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x2835c506, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xfef3bdab, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x921cc904, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x7bab55c3, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x06d6456f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x3bb11550, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xe616731e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x3f3bf6f4, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xd44a9f9a, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x2a0a8e66, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x01e934c9, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x77d2ace9, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x49546ee8, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xa0bd19f6, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x990c2f4b, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x93ceb778, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xf79569d6, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xedf4f6dc, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xb080f532, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xaac4abf6, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x95b8987d, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x82f87151, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xda2cdfd3, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xdd455c39, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xcadeca91, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xbc50640f, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x6b3e23d1, "");
SYMBOL_CRC(mlx5_msix_free, 0xf1b0afc7, "");
SYMBOL_CRC(mlx5_fc_create, 0x9bf24071, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x60d758ff, "");
SYMBOL_CRC(mlx5_fc_query, 0xe5d2caab, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x81cb741f, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xac9e38d5, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xab76dd5b, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x3a2b951f, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xf835ce27, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x48166f79, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xfefed03f, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xe43bc636, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xc3ccdab2, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x49ab9961, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xdb0fbf3c, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x7ab625b5, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xfbc352ef, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x07735e83, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x60462a27, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xb10ebc07, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x99ce86a4, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x1df422b7, "");
SYMBOL_CRC(mlx5_notifier_register, 0x7cd37575, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x560ca12b, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x1a15ab4c, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x39e3b584, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x99ff1560, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x4200ec28, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x2ebe48ec, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xc1d353fc, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x667ec7d8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0xe5d5247d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xcf6a701b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x4cc193be, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x0791864a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x843a65ef, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xae853189, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x2d2ed22c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x77336f5d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x877b0928, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0xd10c93d9, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xeec8d799, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x47c9e187, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x48f72b1d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x7a80f12c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x90f389e9, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0xcf52fa9a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x2521825f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x43533315, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xf141dbe1, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x4c1c55c7, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xf33c9ac1, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xbae8abe0, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x4ddaf527, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xecdc72fb, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x7d97c926, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x716c1052, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xae2aa66d, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x7dc9e7f4, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x654ad329, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xcdce91f4, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x682bde9b, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x340950b4, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x75e399bc, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xc9e1df06, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x89a2601e, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x439dd2d7, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x274ab8e2, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xcad16600, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xa6d08dee, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x283ab9e5, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x10eee45d, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xbb14490a, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x0a69eab5, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x61bb5b88, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x732e1484, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xf5991891, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xfba49cc3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeaa1c374, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xe82693b5, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xadccb507, "__SCK__tp_func_xdp_exception" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x7aa0cca, "pci_restore_state" },
	{ 0x462acd6c, "bpf_trace_run1" },
	{ 0xe2f29afb, "__inet6_lookup_established" },
	{ 0xf78ca43d, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xd45a5ed4, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc95fbc10, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x1a5a49f7, "page_pool_create" },
	{ 0x7ae01c02, "skb_checksum" },
	{ 0xd6b62425, "page_pool_put_defragged_page" },
	{ 0x78680014, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x39679c2f, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x9243ed57, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x21a7b5a6, "devl_resources_unregister" },
	{ 0xcfcbdd1d, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x13d4f245, "netif_schedule_queue" },
	{ 0xcd033fb0, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0xb610e20d, "pci_set_master" },
	{ 0x62ada102, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd3243147, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53ab29bc, "flow_rule_match_ipv6_addrs" },
	{ 0x9a639a9c, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xdbb6db64, "devl_params_unregister" },
	{ 0xc9e288fb, "ptp_clock_unregister" },
	{ 0x16d4d5a3, "__pskb_pull_tail" },
	{ 0x90e0bb77, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x1dcdf4de, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xa93a7a8a, "devlink_trap_report" },
	{ 0x202aae73, "__neigh_event_send" },
	{ 0x169b4f83, "flow_block_cb_alloc" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x1b0b9229, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf7f44610, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9e6ccdb4, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xb98cb693, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24e1ac81, "dma_set_coherent_mask" },
	{ 0x1e6f803d, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xd97bf461, "pv_ops" },
	{ 0xad5a7334, "flow_rule_match_enc_control" },
	{ 0xf4d84549, "bpf_trace_run3" },
	{ 0x461d4dfe, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x46ee8845, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xd3e64d71, "debugfs_create_file" },
	{ 0x3723f127, "rps_may_expire_flow" },
	{ 0xa37d3110, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x1e4baadb, "xsk_set_tx_need_wakeup" },
	{ 0x94f9935d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3359c421, "netdev_reset_tc" },
	{ 0xbee759e2, "neigh_destroy" },
	{ 0x6c91e2ed, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xa7b3b607, "debugfs_create_x32" },
	{ 0x4d0ed202, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3e797142, "flow_rule_match_enc_ports" },
	{ 0x3bd01384, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15698784, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xf4f43403, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xdc445a83, "devl_assert_locked" },
	{ 0x1d3e3c2, "pcie_print_link_status" },
	{ 0x15bc62a6, "xp_set_rxq_info" },
	{ 0xdd28a725, "flow_rule_match_vlan" },
	{ 0x87e89491, "alloc_pages" },
	{ 0x36ca5400, "devl_port_unregister" },
	{ 0x36671b26, "xdp_rxq_info_unreg" },
	{ 0xa6323f68, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x9634c71a, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2060247a, "napi_build_skb" },
	{ 0x1b397a0e, "netdev_master_upper_dev_get_rcu" },
	{ 0xa58802bf, "__xdp_rxq_info_reg" },
	{ 0x9bf2c698, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xda9af1cc, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e2d4ebf, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1bba3f9e, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4bc36379, "netif_carrier_off" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0xc4d23335, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf4be5290, "devlink_priv" },
	{ 0xef93f9d, "devlink_port_register_with_ops" },
	{ 0xe09d8bfc, "pci_disable_sriov" },
	{ 0xa062fbf5, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecbd3720, "dst_release" },
	{ 0x8bc03d9c, "netif_carrier_on" },
	{ 0x48b3fad1, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xd11628b1, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5fdea060, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x59df29a4, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x83d9c361, "seq_puts" },
	{ 0x1b232257, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xfd644d40, "page_pool_update_nid" },
	{ 0x5096f5a6, "single_release" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x591e6623, "dma_set_mask" },
	{ 0xc1e2c5d2, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x28045d69, "netif_set_tso_max_size" },
	{ 0x7b38962d, "vlan_dev_vlan_id" },
	{ 0x452ca96d, "__skb_flow_dissect" },
	{ 0xaeabc487, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd0f4bbf7, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xd085c4a0, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x697af47e, "xp_raw_get_data" },
	{ 0x787a9ddd, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x98c72f44, "napi_schedule_prep" },
	{ 0xd2ef8351, "qdisc_reset" },
	{ 0x3a9a4bd, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0xa310b1ed, "xp_alloc_batch" },
	{ 0xd3447ee0, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0xf7187e0c, "napi_disable" },
	{ 0x75546d8, "dev_kfree_skb_any_reason" },
	{ 0xe3f35d8b, "dcb_ieee_delapp" },
	{ 0x2d8ad9a2, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xe10c6762, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5444d955, "debugfs_create_u8" },
	{ 0xb21c62c0, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xa8551fac, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x47d41c8e, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe45476fa, "skb_ext_add" },
	{ 0x421625ee, "pcie_bandwidth_available" },
	{ 0x5bcd98df, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5923c6d0, "flow_rule_match_control" },
	{ 0x11073294, "flow_rule_match_ip" },
	{ 0x6888f56f, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x60796967, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x72237012, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x36917111, "xsk_tx_release" },
	{ 0x2a492a36, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8e3eba49, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1f1b0d97, "pci_write_config_dword" },
	{ 0x7bc6339d, "pci_bus_type" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x566d875e, "netdev_info" },
	{ 0xf43bb614, "neigh_lookup" },
	{ 0xaba9095, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf31b88d3, "__tracepoint_xdp_exception" },
	{ 0x891b5f9a, "__inet_lookup_established" },
	{ 0x7c966a4a, "xsk_tx_completed" },
	{ 0x12befa04, "alloc_etherdev_mqs" },
	{ 0x35e5bc4e, "netdev_lower_get_next" },
	{ 0xe4ff41e1, "secpath_set" },
	{ 0x1b4bf79d, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa216e6e9, "pci_save_state" },
	{ 0xcddbc69f, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x852a673a, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x80734803, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x846f8575, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfbf479e6, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x33d9ad3e, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xde003040, "bpf_prog_put" },
	{ 0x4e14cce4, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xb70b20a1, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3a49e395, "pci_cfg_access_unlock" },
	{ 0x1aa31e1d, "xp_dma_map" },
	{ 0x2bd9c9d9, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6b5cad91, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x9580bbac, "skb_copy_bits" },
	{ 0x1ae02d6f, "debugfs_attr_write" },
	{ 0x61dd4d2b, "dma_pool_create" },
	{ 0xfd769021, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x82816dbb, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xda3e1963, "pci_enable_device" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xd087ad80, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7b7db9bf, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xf9bc61b5, "__napi_alloc_skb" },
	{ 0xc50cc908, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x955ac814, "register_fib_notifier" },
	{ 0x7d01e76, "auxiliary_device_init" },
	{ 0x6f2e059d, "ip6_dst_hoplimit" },
	{ 0xc777489c, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa9ffee5d, "flow_rule_match_enc_ip" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xe8d5bb8c, "pci_alloc_irq_vectors" },
	{ 0x1bf292ef, "netif_napi_add_weight" },
	{ 0x76716a2c, "pci_enable_atomic_ops_to_root" },
	{ 0x85f5fd65, "seq_release" },
	{ 0x9db9fdff, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xd0d16e8, "xsk_clear_tx_need_wakeup" },
	{ 0xcd12cd53, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x55da8d8a, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xa166da, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3e6a998b, "ndo_dflt_bridge_getlink" },
	{ 0x27d07d7a, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x38b7e175, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x4fec55e5, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xe76b8d4, "register_netdevice_notifier_dev_net" },
	{ 0xda539662, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0x15e1edaa, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x64ca0546, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xa67d9e0e, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x5760580b, "dma_sync_single_for_device" },
	{ 0x5beaf7fc, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x4df1072e, "pci_num_vf" },
	{ 0xe13599a3, "debugfs_create_atomic_t" },
	{ 0xf7bcedb9, "flow_rule_match_eth_addrs" },
	{ 0x1ce00ef3, "skb_add_rx_frag" },
	{ 0xa2a66220, "xfrm_state_check_expire" },
	{ 0xfb1090ae, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe660804c, "ptp_clock_index" },
	{ 0x1b21247, "pci_request_regions" },
	{ 0x5fa26f5f, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0xac497b4b, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5d88e627, "xp_can_alloc" },
	{ 0xf69ec8bf, "psample_sample_packet" },
	{ 0xf6e4c803, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8885b00, "devlink_alloc_ns" },
	{ 0x28e5e45c, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xd7b36cdb, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5beb252c, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x25efea60, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0xc640a690, "seq_lseek" },
	{ 0xfbbb8e6c, "page_pool_destroy" },
	{ 0x2750a695, "xdp_do_redirect" },
	{ 0xc0610f15, "devlink_free" },
	{ 0x97dc73bb, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xab18ab18, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xf2da2426, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x1bc520b2, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x220b8940, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcc179008, "pci_irq_vector" },
	{ 0xaab52aa1, "flow_rule_match_ipv4_addrs" },
	{ 0xc5c2b8f9, "ip_route_output_flow" },
	{ 0x66321b5a, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x529a4b58, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbc4800d, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x2d0e98aa, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xea765677, "netdev_err" },
	{ 0xcda0b307, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3c876780, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x14744c18, "dev_driver_string" },
	{ 0x5375f72d, "netdev_port_same_parent_id" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0x1572520d, "dev_addr_mod" },
	{ 0x26eae38f, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xff07b82d, "ptp_find_pin" },
	{ 0xd70f82db, "eth_type_trans" },
	{ 0x5ba24109, "pci_read_config_dword" },
	{ 0xf5728b86, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x98fdae5e, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71983ea8, "auxiliary_driver_unregister" },
	{ 0x47cde828, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x2d7627d6, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x87e43700, "devlink_port_attrs_pci_vf_set" },
	{ 0xe509e4f5, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x439fbd31, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc4d46cca, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x2a4041eb, "__napi_schedule" },
	{ 0xc9637477, "devlink_port_health_reporter_create" },
	{ 0xfd2b7e8c, "pcie_relaxed_ordering_enabled" },
	{ 0xb1355589, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xd50d31bf, "kmalloc_node_trace" },
	{ 0xd38626ee, "devlink_port_attrs_pci_pf_set" },
	{ 0x5fa5b997, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xb6317ec7, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x313adc44, "__free_pages" },
	{ 0x79f1ecb0, "kmem_cache_alloc" },
	{ 0xc21353d4, "_dev_info" },
	{ 0x7462cf2e, "skb_vlan_pop" },
	{ 0xe73955a9, "napi_gro_receive" },
	{ 0xbb4ee27a, "netif_device_attach" },
	{ 0xd060638e, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf6424e05, "netdev_pick_tx" },
	{ 0xbbd674fa, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x88f1fac4, "xp_raw_get_dma" },
	{ 0xe582be6f, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x9d471d36, "xdp_rxq_info_is_reg" },
	{ 0xc4e1dd5a, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x98c94bc6, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0x32424447, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x77555220, "devl_health_reporter_create" },
	{ 0xe2cfbe6a, "flow_block_cb_setup_simple" },
	{ 0x8b33a257, "pci_msix_can_alloc_dyn" },
	{ 0x7b2dcb2d, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x95c75fed, "unregister_netdevice_notifier_dev_net" },
	{ 0xdda7c039, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x56657b84, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8826cf68, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xf2e5e685, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x8e43e445, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xed18abd3, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x250bd217, "__dev_get_by_index" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xff6dffd6, "devlink_port_unregister" },
	{ 0xbb6a2870, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x4463ca9b, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x4b5f1943, "softnet_data" },
	{ 0x410e7011, "ipv6_stub" },
	{ 0x6559924b, "simple_open" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2c1ed230, "bus_find_device" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8407def7, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x28c5b80c, "simple_attr_release" },
	{ 0xc4afab26, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x40e3960f, "xp_dma_sync_for_cpu_slow" },
	{ 0xc7fc62c1, "xsk_tx_peek_desc" },
	{ 0xeea793e4, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x7b2df517, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x4b4b2f8a, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x3c0e701f, "irq_get_irq_data" },
	{ 0x78bdfa88, "dev_remove_pack" },
	{ 0x899e0f44, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x27d02aed, "dev_get_by_index" },
	{ 0xeb9c0882, "bpf_trace_run5" },
	{ 0xfa3be79c, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x794cbf4, "skb_store_bits" },
	{ 0xe565786f, "devl_port_register_with_ops" },
	{ 0x6baad4cf, "dev_get_by_index_rcu" },
	{ 0x2541c790, "kfree_skb_reason" },
	{ 0xf7cf2dd6, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x45820357, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xad74208d, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x4014890f, "kmem_cache_free" },
	{ 0xb38fd9a1, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x75f419e5, "debugfs_remove" },
	{ 0x885999b5, "pci_read_config_word" },
	{ 0x593f683c, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa273e9ba, "xsk_clear_rx_need_wakeup" },
	{ 0xacc485b, "unregister_netdevice_notifier_net" },
	{ 0xb338b519, "xsk_uses_need_wakeup" },
	{ 0x69059bfa, "register_netdev" },
	{ 0x4dd90a19, "unregister_fib_notifier" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x96914fcd, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x505a56dc, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x454ec264, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x7d3a63d0, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd413f90b, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "95E3535F07DF50DA616A73C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
