#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ks8851_suspend, "_gpl", "");
KSYMTAB_FUNC(ks8851_resume, "_gpl", "");
KSYMTAB_FUNC(ks8851_probe_common, "_gpl", "");
KSYMTAB_FUNC(ks8851_remove_common, "_gpl", "");

SYMBOL_CRC(ks8851_suspend, 0xb0ad2e4e, "_gpl");
SYMBOL_CRC(ks8851_resume, 0x98dc0a7f, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0xce63de63, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0x9249de9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a9d6fd, "skb_put" },
	{ 0xd70f82db, "eth_type_trans" },
	{ 0xea765677, "netdev_err" },
	{ 0xf78ca43d, "netif_tx_wake_queue" },
	{ 0x4526a192, "devm_gpiod_get_optional" },
	{ 0xa9a10787, "gpiod_set_consumer_name" },
	{ 0xb678915d, "devm_regulator_get" },
	{ 0x1ff52d57, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x51c86b01, "gpiod_set_value_cansleep" },
	{ 0xc21353d4, "_dev_info" },
	{ 0x4922e91a, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd93d4dfb, "__mdiobus_register" },
	{ 0x4bc36379, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1572520d, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x69059bfa, "register_netdev" },
	{ 0x566d875e, "netdev_info" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xc9926185, "mdiobus_unregister" },
	{ 0x68c271c3, "mdiobus_free" },
	{ 0x15ae72c4, "regulator_disable" },
	{ 0xf2da2426, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xee5de1ba, "skb_dequeue" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb6317ec7, "netif_device_detach" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x27d07d7a, "unregister_netdev" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbb4ee27a, "netif_device_attach" },
	{ 0xade7172f, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb98cb693, "__dynamic_netdev_dbg" },
	{ 0x30092e31, "generic_mii_ioctl" },
	{ 0x1e0b18de, "mii_ethtool_set_link_ksettings" },
	{ 0x3b79e094, "mii_ethtool_get_link_ksettings" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0x1a9e605b, "mii_link_ok" },
	{ 0xf2539f8d, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x19b10fc, "netif_rx" },
	{ 0x701d0840, "mii_check_link" },
	{ 0x1dcdf4de, "__netdev_alloc_skb" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "libphy,eeprom_93cx6,mii");


MODULE_INFO(srcversion, "A4AB64D5ADB8E139380B616");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
