#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x815031a0, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x66e14739, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x8ce443ce, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x5b8666dc, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x6b4fe739, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x604456c2, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xf123175d, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x18306b3c, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x3110fad9, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x4e40a3a0, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xbf8f2566, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x759c9f6b, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x468cfe82, "_gpl");
SYMBOL_CRC(usbnet_open, 0x39195cf4, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xf4e2264c, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xe953b356, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x2b3a1868, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xfd88194b, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xc0ea684a, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x7e7df70b, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xfe6d7310, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xa15675b1, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x1ee625be, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xc60bf006, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xde972b8b, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xaed1e416, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x3473b3ac, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x172a15dc, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x31641e3a, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x12710589, "");
SYMBOL_CRC(usbnet_manage_power, 0x8cb5b0e4, "");
SYMBOL_CRC(usbnet_link_change, 0x51eaa5b4, "");
SYMBOL_CRC(usbnet_read_cmd, 0x3efd24a2, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xc697e655, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x9df27633, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xa5c10825, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x4c2b022d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xacf4b0cb, "usb_set_interface" },
	{ 0xbbfd512a, "usb_string" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x1572520d, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x19b10fc, "netif_rx" },
	{ 0xd70f82db, "eth_type_trans" },
	{ 0x55c24ee6, "skb_queue_tail" },
	{ 0xb98cb693, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb0e0c95, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7fe403f1, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x777b1d69, "usb_unlink_urb" },
	{ 0x1f6ebe19, "usb_free_urb" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3869ea59, "usb_submit_urb" },
	{ 0xea765677, "netdev_err" },
	{ 0x3b79e094, "mii_ethtool_get_link_ksettings" },
	{ 0x1e0b18de, "mii_ethtool_set_link_ksettings" },
	{ 0xf2539f8d, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x27d07d7a, "unregister_netdev" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0xc16a70a5, "usb_get_from_anchor" },
	{ 0x833af8aa, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x454ec264, "free_netdev" },
	{ 0x566d875e, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb6317ec7, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbb4ee27a, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa504cec9, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x65a45860, "usb_autopm_get_interface" },
	{ 0x95a223ee, "usb_autopm_put_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x45847a66, "usb_alloc_urb" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x1a9e605b, "mii_link_ok" },
	{ 0xeaa1c374, "ethtool_op_get_link" },
	{ 0xd0927dad, "usb_autopm_put_interface_async" },
	{ 0x8bc03d9c, "netif_carrier_on" },
	{ 0x4bc36379, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xee5de1ba, "skb_dequeue" },
	{ 0x12befa04, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x69059bfa, "register_netdev" },
	{ 0x27c887e6, "pm_runtime_enable" },
	{ 0x35e865ed, "usb_check_bulk_endpoints" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xea85f5d7, "usb_autopm_get_interface_async" },
	{ 0xd087ad80, "skb_tstamp_tx" },
	{ 0x75546d8, "dev_kfree_skb_any_reason" },
	{ 0x197036e7, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1dcdf4de, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf78ca43d, "netif_tx_wake_queue" },
	{ 0xb98cbb48, "usb_autopm_get_interface_no_resume" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x54241c8f, "usb_clear_halt" },
	{ 0xe611b192, "eth_mac_addr" },
	{ 0xade7172f, "eth_validate_addr" },
	{ 0x978592d5, "dev_get_tstats64" },
	{ 0x8a06cea0, "ethtool_op_get_ts_info" },
	{ 0xd8a8ba88, "param_ops_int" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "2280BDCCF4D372927E793FB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
