#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0xa15562a8, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x2bd64f9d, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x829e3493, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x654afea2, "_gpl");
SYMBOL_CRC(p54_rx, 0x26113231, "_gpl");
SYMBOL_CRC(p54_init_common, 0xca4958f1, "_gpl");
SYMBOL_CRC(p54_register_common, 0xda64da80, "_gpl");
SYMBOL_CRC(p54_free_common, 0x2edd11e1, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x463341d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafe47e10, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd9524fb6, "__ieee80211_get_tx_led_name" },
	{ 0xb0e0c95, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66da84b3, "ieee80211_handle_wake_tx_queue" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x122c3a7e, "_printk" },
	{ 0x13b17836, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xef7d7559, "__ieee80211_get_rx_led_name" },
	{ 0xc21353d4, "_dev_info" },
	{ 0x55c24ee6, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x31b6f3ce, "ieee80211_queue_delayed_work" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xad74208d, "skb_push" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4bfc8eaf, "ieee80211_free_txskb" },
	{ 0x8a7e3026, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9dae4a76, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11124795, "ieee80211_stop_queue" },
	{ 0x1dcdf4de, "__netdev_alloc_skb" },
	{ 0xa715db91, "skb_trim" },
	{ 0xa4293e5b, "skb_unlink" },
	{ 0xbd22eaac, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x86370143, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x89047601, "param_ops_bool" },
	{ 0xd978ea99, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa1995adb, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x75546d8, "dev_kfree_skb_any_reason" },
	{ 0xbfb2f22d, "_dev_printk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xb87e2cba, "ieee80211_rx_irqsafe" },
	{ 0x98f57c15, "skb_queue_head" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xee5de1ba, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x903f3f81, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x50bf3437, "ieee80211_beacon_loss" },
	{ 0xd5bfb20c, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xadcdfee1, "led_classdev_unregister" },
	{ 0x5e354760, "ieee80211_register_hw" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb85d97e9, "ieee80211_get_hdrlen_from_skb" },
	{ 0x717a5af3, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "6130A8A04A95755A41EFE26");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
