#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0xeafe22e5, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x8d37cf69, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0xd1223911, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_conn, 0x15dc8bab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x6ecdd259, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0xd6caf5df, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe8fadae0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_eh, 0xf7e749fb, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x37ab83d0, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0xdb7e013c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0xa3350d82, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_session, 0x52575134, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xa5fe6988, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x31b687f3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x17c555a8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_tcp, 0xa8c4b5e1, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xfa83ee1e, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xd40e7e8b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0x00363897, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_sw_tcp, 0xdf515c49, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0xd4624b19, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x6a64105f, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xab9b1c27, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x547aba57, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0xfa518d99, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x647f549b, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x83bee66d, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x39f47c9d, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0xcf777986, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0xdef1d81a, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x26e4ceb2, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x59aa7a71, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0xa11bbb9f, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x4ca6706f, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x180caa14, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x5540b352, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x9549f9c5, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x4435ed6b, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xbdc3ee07, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x220e44d0, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0xa0d331e1, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x23d0b902, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0xd9ceabc6, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0xf3e421cd, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x49f1fcd5, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0xe4218222, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x9c1a5527, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x4d194bc3, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xcf86576d, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x6a797a8f, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xf6e5d99e, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0xe13e3961, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x39544c7a, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x84046263, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x615406b7, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xe4c6077b, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x9ed910a0, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x9b1083eb, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0xc1f184e5, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x7ec9459c, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0xacac79aa, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x203f8860, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x2aae93f4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x754d539c, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0xab18ab18, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc4d46cca, "put_device" },
	{ 0x893d217f, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbb440842, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3d02d01, "get_device" },
	{ 0x110007b9, "device_find_child" },
	{ 0xaf035e9b, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x953e5c90, "transport_remove_device" },
	{ 0x94ed3b84, "transport_destroy_device" },
	{ 0xd45a5ed4, "device_del" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5a079f25, "scsi_target_unblock" },
	{ 0xbfb2f22d, "_dev_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x408203f8, "netlink_kernel_release" },
	{ 0x8ab45cbb, "bus_unregister" },
	{ 0x69f988d2, "transport_class_unregister" },
	{ 0xf84abf6f, "class_unregister" },
	{ 0x8e106c58, "class_register" },
	{ 0xf28d7791, "transport_class_register" },
	{ 0xe001d5a6, "bus_register" },
	{ 0x4463ca9b, "init_net" },
	{ 0x3616af9f, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d128f1, "scsi_host_get" },
	{ 0x1006dcf8, "device_initialize" },
	{ 0x9f3f17b0, "device_add" },
	{ 0xa337a517, "transport_setup_device" },
	{ 0xa7ca76f, "transport_add_device" },
	{ 0x463a2e34, "attribute_container_unregister" },
	{ 0xa5f367b6, "scsi_is_host_device" },
	{ 0x8d20f56d, "bsg_remove_queue" },
	{ 0x341d6d16, "scsi_host_put" },
	{ 0xed73620f, "bsg_job_done" },
	{ 0xdf37ed8, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4b5399ba, "bsg_setup_queue" },
	{ 0x54771faa, "__scsi_init_queue" },
	{ 0xb6278191, "scsi_scan_target" },
	{ 0x4e7d09dc, "__alloc_skb" },
	{ 0xececce59, "__nlmsg_put" },
	{ 0xd9b32e34, "netlink_broadcast" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x6dff3b8d, "dev_set_name" },
	{ 0x7f6c3a33, "device_register" },
	{ 0xf0ce6cbf, "sysfs_create_group" },
	{ 0xe2c3404, "attribute_container_register" },
	{ 0x2541c790, "kfree_skb_reason" },
	{ 0x615288f1, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc8bcfea4, "netlink_capable" },
	{ 0x405ad70e, "try_module_get" },
	{ 0x7cc60d71, "scsi_host_lookup" },
	{ 0x28890a6d, "module_put" },
	{ 0x6da6224d, "netlink_unicast" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0xa715db91, "skb_trim" },
	{ 0xfb578fc5, "memset" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd8a8ba88, "param_ops_int" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "29E682DBE647E8F842F1344");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
