#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d9b652b, "rb_erase" },
	{ 0x79c229e3, "crypto_shash_digest" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x61990297, "folio_wait_writeback" },
	{ 0xf31b3fd1, "workqueue_set_max_active" },
	{ 0xeecc3116, "rw_verify_area" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x23d25323, "blkdev_issue_zeroout" },
	{ 0x4d2e1abd, "fault_in_iov_iter_writeable" },
	{ 0xd88b0803, "file_remove_privs" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xe17278fe, "kobject_init_and_add" },
	{ 0x39144450, "sget" },
	{ 0x40def15, "zero_fill_bio_iter" },
	{ 0x499d184b, "bio_add_page" },
	{ 0x714da5bd, "crypto_shash_update" },
	{ 0x28bf0bba, "from_vfsgid" },
	{ 0x34d4e16, "bio_split_rw" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2775d532, "iov_iter_alignment" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3936585, "__audit_inode_child" },
	{ 0x2ffd5d0b, "d_obtain_alias" },
	{ 0x6ee5493, "file_modified" },
	{ 0x4967e79f, "radix_tree_iter_resume" },
	{ 0xf0ce6cbf, "sysfs_create_group" },
	{ 0x8217622f, "posix_acl_chmod" },
	{ 0x8dd7e7e, "copy_page_to_iter" },
	{ 0xaeac049a, "generate_random_guid" },
	{ 0x1238ccf1, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x4e0db097, "kthread_associate_blkcg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0x14dbc117, "read_cache_page_gfp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0xaf7f432e, "inode_add_bytes" },
	{ 0x462acd6c, "bpf_trace_run1" },
	{ 0xfb10238f, "from_kuid" },
	{ 0x4861f327, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x2d4cb698, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf77d18c0, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0xecf7eaf4, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa14d696d, "generic_remap_file_range_prep" },
	{ 0x3df1c366, "misc_register" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x33554274, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x700308e8, "__insert_inode_hash" },
	{ 0xc78fcba3, "bio_reset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfddacef9, "inode_update_time" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe0de3228, "filemap_get_folios" },
	{ 0xb4a0878d, "blkcg_root_css" },
	{ 0xbed6e201, "blkcg_punt_bio_submit" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0x4f56f4ec, "make_kgid" },
	{ 0x6282cc7, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x3e56cb0b, "d_delete" },
	{ 0xeb83899d, "wbc_account_cgroup_owner" },
	{ 0x87a68b2b, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xfad92f1, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc7e64ae7, "truncate_setsize" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x86be0839, "insert_inode_locked4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ad010e9, "kthread_create_on_node" },
	{ 0xf77372f, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbb440842, "sysfs_remove_group" },
	{ 0xf4d84549, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb15b4109, "crc32c" },
	{ 0xca8e19b, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xaa85fdd4, "__alloc_pages_bulk" },
	{ 0x9e5e042a, "super_setup_bdi" },
	{ 0x11a0d631, "igrab" },
	{ 0x1876449e, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xbdc845c, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x8978e8f7, "kobject_del" },
	{ 0x1446f919, "d_instantiate_new" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0x2783d2b3, "bio_uninit" },
	{ 0xdce7ce6c, "set_page_writeback" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x8b8d3473, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x54063ddd, "filemap_fdatawait_range" },
	{ 0xf1221065, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xea6f9a36, "zlib_deflate_dfltcc_enabled" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8cb1ed23, "security_sb_remount" },
	{ 0x39fadf2f, "bioset_init" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xb48d4d22, "security_sb_eat_lsm_opts" },
	{ 0xc31f7d47, "init_user_ns" },
	{ 0xfefcffcb, "simple_rename_timestamp" },
	{ 0xff1947d0, "invalidate_inode_pages2" },
	{ 0xe091c977, "list_sort" },
	{ 0x87e89491, "alloc_pages" },
	{ 0x345dc96a, "inode_set_ctime_current" },
	{ 0x90638fa0, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0x9ffef0f2, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4a125624, "sysfs_create_files" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0x5f1c903, "dput" },
	{ 0xf09cc34, "schedule_timeout_killable" },
	{ 0x22111bf4, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2272623d, "deactivate_locked_super" },
	{ 0xb509255b, "touch_atime" },
	{ 0xf6b82efa, "filemap_read" },
	{ 0xf3881beb, "__percpu_down_read" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x29cc9567, "__get_task_ioprio" },
	{ 0x53f6a3ee, "tag_pages_for_writeback" },
	{ 0x6902db81, "balance_dirty_pages_ratelimited_flags" },
	{ 0x6464838e, "kobject_uevent" },
	{ 0x668b8ff9, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xdc7ba346, "vfs_kern_mount" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x816f14ed, "posix_acl_update_mode" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x434b3fb6, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x1ca11e7e, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc4b83b4d, "__folio_lock" },
	{ 0xe73321aa, "folio_wait_bit" },
	{ 0x869ec4bb, "filemap_dirty_folio" },
	{ 0x7f418d1c, "pagecache_get_page" },
	{ 0xdeea15ea, "is_bad_inode" },
	{ 0x83d9c361, "seq_puts" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xf846cab, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xdb1cfb7a, "__iomap_dio_rw" },
	{ 0xc078d22c, "zstd_init_cstream" },
	{ 0x5679db75, "file_ra_state_init" },
	{ 0x9f98bfbc, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xcd62df77, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf5a54c29, "dget_parent" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x36a9d424, "kill_anon_super" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x2c2b99cd, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0xf0a34ff2, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x57a8d22, "fsverity_ioctl_measure" },
	{ 0x57590aa8, "generic_write_checks" },
	{ 0xc8e554e3, "iov_iter_revert" },
	{ 0x3ec2ce36, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf66eaa, "generic_write_checks_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xd24fa35, "kmem_cache_alloc_lru" },
	{ 0x2277ad95, "filemap_fault" },
	{ 0x27864d57, "memparse" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xfd86da25, "crypto_alloc_shash" },
	{ 0x986a635f, "d_invalidate" },
	{ 0x843f4466, "__mark_inode_dirty" },
	{ 0xbc315949, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xebd1f686, "mtree_insert" },
	{ 0xa8a37a7f, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xe03f946d, "iomap_dio_bio_end_io" },
	{ 0xe6db3379, "submit_bio_wait" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x71e010f8, "set_anon_super" },
	{ 0x2ba5fd53, "drop_nlink" },
	{ 0x7d640d7, "fault_in_iov_iter_readable" },
	{ 0xce3b4675, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x24e84c3e, "iget_failed" },
	{ 0xc2aa68c3, "kernel_write" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x3f3f769a, "fs_bio_set" },
	{ 0xaba9095, "kmem_cache_destroy" },
	{ 0x4442ad71, "bio_split" },
	{ 0x4e8f828, "mtree_load" },
	{ 0xe998a121, "kset_create_and_add" },
	{ 0xd7904dba, "blkdev_issue_discard" },
	{ 0x37f7b35e, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x9dfdbb5f, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d26675e, "zstd_cstream_workspace_bound" },
	{ 0xfcaa282c, "truncate_inode_pages" },
	{ 0xb19065e0, "folio_invalidate" },
	{ 0x3220ea5d, "__page_file_index" },
	{ 0xc1b41e93, "inode_update_timestamps" },
	{ 0xe914e41e, "strcpy" },
	{ 0xfdc0cf5, "inode_init_owner" },
	{ 0x67761e02, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf795d9df, "vfs_fsync_range" },
	{ 0x510dd8fa, "setattr_prepare" },
	{ 0xbe7f04c0, "filemap_migrate_folio" },
	{ 0xa0b90395, "clear_nlink" },
	{ 0xab7349e5, "sync_blockdev_range" },
	{ 0x51580146, "file_check_and_advance_wb_err" },
	{ 0x50d4a5d0, "filemap_flush" },
	{ 0x1a0a0059, "page_cache_async_ra" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8a8541eb, "filemap_get_folios_tag" },
	{ 0xd063a0fc, "wbc_detach_inode" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x47cc64dc, "d_instantiate" },
	{ 0x3b70c359, "_copy_to_iter" },
	{ 0xc7741b12, "fsverity_ioctl_enable" },
	{ 0xee1f16a2, "pagecache_isize_extended" },
	{ 0x8dda8b53, "misc_deregister" },
	{ 0x729817e4, "__bio_add_page" },
	{ 0xb6c7bd03, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x110be701, "clear_inode" },
	{ 0x2bd9c9d9, "bpf_trace_run4" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xffc4f200, "zstd_compress_stream" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0x22771cf5, "filemap_range_has_page" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x72beef3d, "simple_dir_inode_operations" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf950cfff, "discard_new_inode" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xf2e5bd87, "security_free_mnt_opts" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbc789778, "__fsverity_cleanup_inode" },
	{ 0x80a717a8, "__percpu_counter_compare" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3008e2cd, "__folio_batch_release" },
	{ 0x9d33bd82, "folio_unlock" },
	{ 0xe25c4569, "set_blocksize" },
	{ 0x5b5865ef, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x177c686, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd0e45f6d, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x967b3ecb, "try_to_writeback_inodes_sb" },
	{ 0x83fb9e58, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0x247a360f, "kobject_rename" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc3114ad9, "security_sb_set_mnt_opts" },
	{ 0xd18deb7b, "init_special_inode" },
	{ 0xf959f6b6, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53c6250c, "import_iovec" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x17119b89, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf63ea49c, "filemap_fdatawrite_range" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0x3293a691, "d_make_root" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd6d6b9ae, "__fsverity_file_open" },
	{ 0x1057a279, "bsearch" },
	{ 0x1ce146c4, "fget" },
	{ 0x787c882b, "lzo1x_1_compress" },
	{ 0x39c9d88c, "xas_find" },
	{ 0xbfbcb68, "invalidate_mapping_pages" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x9fa28669, "sync_filesystem" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0x94d91a0d, "kobject_init" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x1bf895f7, "fsnotify" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xc7e6b38e, "d_splice_alias" },
	{ 0x7ad3b136, "generic_error_remove_page" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xee1b8ba8, "current_time" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0x1f51654b, "fiemap_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7023207f, "from_vfsuid" },
	{ 0x11d6d383, "ihold" },
	{ 0xaac03a56, "fsverity_verify_blocks" },
	{ 0x7b5c48ae, "page_get_link" },
	{ 0x34b49582, "inode_dio_wait" },
	{ 0xa021c8b7, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x1410b4ff, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xedcf351c, "invalidate_inode_pages2_range" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x9bb52e9, "finish_open" },
	{ 0xef214213, "iput" },
	{ 0x7da29161, "filemap_range_has_writeback" },
	{ 0x2c428f56, "kset_unregister" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x15908034, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x4ee1739a, "wbc_attach_and_unlock_inode" },
	{ 0x19142c7c, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe1bd235f, "filemap_release_folio" },
	{ 0xab18ab18, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe7abe214, "sysfs_remove_files" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x10df33c8, "register_filesystem" },
	{ 0x57db0665, "d_tmpfile" },
	{ 0x529a4b58, "kmem_cache_create" },
	{ 0x993c7889, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x89434b4b, "radix_tree_tag_clear" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x66328459, "kthread_park" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x34df5cad, "filemap_add_folio" },
	{ 0x59d8e820, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x765ec7cc, "clear_page_dirty_for_io" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf349ec1a, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x53a838e6, "d_prune_aliases" },
	{ 0xe08cf7ee, "wake_up_process" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0xa7b4f847, "fscrypt_setup_filename" },
	{ 0xc575719, "__cond_resched_rwlock_write" },
	{ 0xa7dbe6d9, "filemap_get_folios_contig" },
	{ 0x38d44fc6, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xef7fddfe, "inode_get_bytes" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x2a05aa86, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x116f1418, "inode_set_bytes" },
	{ 0xe5ec36a7, "migrate_folio" },
	{ 0xd50bb3f3, "lookup_one" },
	{ 0x35edc3a8, "iomap_dio_rw" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x163a4dc0, "add_swap_extent" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0x84a73cfc, "inode_newsize_ok" },
	{ 0xb9124992, "lock_two_nondirectories" },
	{ 0x42a2efef, "mnt_want_write_file" },
	{ 0x1ce9d3d, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xdc083bbd, "posix_acl_from_xattr" },
	{ 0x26fe94ef, "blkdev_zone_mgmt" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x2ff7df4f, "filemap_alloc_folio" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xdf0c6d0f, "make_kuid" },
	{ 0x9d845400, "truncate_inode_pages_final" },
	{ 0xb6b36512, "inode_sub_bytes" },
	{ 0x84fdc73e, "sync_blockdev" },
	{ 0x50625a79, "fs_kobj" },
	{ 0x7adc0ff7, "backing_file_real_path" },
	{ 0x395e0ce6, "__filemap_set_wb_err" },
	{ 0xe010e4a4, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e20bcf8, "radix_tree_tag_set" },
	{ 0x8127a316, "__filemap_get_folio" },
	{ 0x33b84f74, "copy_page" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1d9672bd, "fault_in_subpage_writeable" },
	{ 0x9aaa664e, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe13a1e8d, "mtree_erase" },
	{ 0xee72a45a, "__check_sticky" },
	{ 0x313adc44, "__free_pages" },
	{ 0x79f1ecb0, "kmem_cache_alloc" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0x380ca3d7, "xattr_full_name" },
	{ 0xd0598aaf, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd8714ac4, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0x38f3f9a3, "submit_bio" },
	{ 0xc51a1abe, "mnt_drop_write_file" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x46b568a1, "sysfs_create_link" },
	{ 0xc4757c42, "copy_page_from_iter_atomic" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x63e275c7, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x28d2dd38, "inode_init_once" },
	{ 0x6391a0b0, "bioset_exit" },
	{ 0xcbb5b999, "compat_ptr_ioctl" },
	{ 0x2a68c392, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdd40bc5, "mark_page_accessed" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x623d2324, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1bed0ebe, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xae088622, "bio_endio" },
	{ 0x34250b64, "mount_subtree" },
	{ 0x2fd11c5f, "__inode_attach_wb" },
	{ 0xe7781590, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8249460f, "posix_acl_create" },
	{ 0xd333b64, "zstd_end_stream" },
	{ 0x333f5972, "inode_nohighmem" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0xa0ac79f8, "__bio_advance" },
	{ 0xff5fcec8, "sysfs_update_group" },
	{ 0x6d245c6f, "sysfs_unmerge_group" },
	{ 0x6f66bfd2, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2c7db345, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x747da1e1, "inode_maybe_inc_iversion" },
	{ 0xaca6aa72, "unlock_page" },
	{ 0xd7647bc7, "filemap_fdatawrite_wbc" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9b1f0013, "thp_get_unmapped_area" },
	{ 0x519bda92, "sysfs_remove_link" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb9af1d0d, "__xa_clear_mark" },
	{ 0xa07a37f0, "memchr" },
	{ 0xdb527f3c, "set_cached_acl" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0x2745c2d3, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x598f63df, "unlock_two_nondirectories" },
	{ 0x86bfe9d1, "kobj_sysfs_ops" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xab003850, "wait_on_page_writeback" },
	{ 0xd2868ac1, "noop_llseek" },
	{ 0x344a2c84, "iomap_dio_complete" },
	{ 0x321738e0, "sysfs_merge_group" },
	{ 0x6626afca, "down" },
	{ 0x6185b747, "radix_tree_gang_lookup_tag" },
	{ 0xeb9c0882, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x8508d1d1, "setattr_copy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x40728419, "file_update_time" },
	{ 0x7acd150e, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4014890f, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x251d9066, "security_inode_init_security" },
	{ 0xf1514941, "blkdev_get_by_path" },
	{ 0x1aaa7d91, "from_kgid" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "xor,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "962ABC671DEB4FCC7C50D98");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
