#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x5cc89616, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xc03279a4, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xc19cc731, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x1a23f310, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x39d2e779, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x793099a6, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xc4c3a093, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x85b30fec, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xc2bb9b44, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xc5b77021, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xfe9c5f86, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xcc421a0b, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x687c1785, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xc72152d1, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xd404e9cd, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x3ae65512, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x6ccad27e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x36dbc87a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xcc7eb2a6, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xa2da3291, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x8f1b6651, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xf0abe58e, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xa41ab84f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x96c5d9b4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x86511d44, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x5628fa9a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xbc7e9f60, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x4ecaf12f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xcd78371c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x72f33a7c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x9449534b, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x0ab474ab, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x20c45b07, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xa2e9f959, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x527417b9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0xfdab950d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xa4a665ab, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xbc1126b9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0xc8ffb22a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x16a95e64, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x3c7d5c7d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x2a909537, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x504d3723, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x46ec8347, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xa2130ea6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0xab201aa1, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xea30cf97, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x6d4aad2f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0xd0a2dfc1, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x0eced1de, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0xda641b51, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0xe65ca3de, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xc7e5f941, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x1659f65e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x720ca317, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x48d20875, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x58e84b5e, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x7df62b9b, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x16b34351, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x2ed9c91d, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x96aad01b, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x15fe744a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0xbb782d6a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xc7978119, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x2c830122, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x909c6f6c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x09926b47, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x0d72498a, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xdd6bdcea, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x1f76276a, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xb6415db9, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x295144ba, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x2c455fb7, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x04da5889, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x874a9d5b, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x3318feed, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xb4743e03, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x0ed25d21, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xdb3a25fd, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x512292b6, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xa1713254, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x9a289e3a, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xabc8c8fc, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x28da8e72, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xab6a550d, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xc36adf9d, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x14d584c0, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xe6b98d98, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x66d00ebe, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x8269c5a0, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x8d97641e, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x43003a4a, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xe0cf29dd, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x27015d08, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xe31230fb, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xea283500, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0x807d1d98, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x8fad558a, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x4e799eac, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x10ecc79b, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x06f9c7c1, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x29a433c7, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x40b2fdfc, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x3bdf99ab, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x38de2b5a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4014890f, "kmem_cache_free" },
	{ 0xd283824b, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x832c5337, "xdr_stream_subsegment" },
	{ 0x2f04e934, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x9fb8f2c8, "nfs_fscache_open_file" },
	{ 0x1aaa7d91, "from_kgid" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4c44df70, "nfs_write_inode" },
	{ 0xc337d11f, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xfaa3be2e, "rpc_wake_up_first" },
	{ 0x9f242a49, "alloc_nfs_open_context" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x1c57fcab, "vfs_parse_fs_param" },
	{ 0x726f4a2c, "nfs_path" },
	{ 0xfae181fe, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x8630f871, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd65183f6, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xde152189, "rpc_sleep_on_timeout" },
	{ 0x87059161, "list_lru_count_one" },
	{ 0xc0908dd0, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x8abb5610, "rpc_call_start" },
	{ 0x3f3f202e, "xprt_setup_backchannel" },
	{ 0x462acd6c, "bpf_trace_run1" },
	{ 0x4399e26e, "svc_create" },
	{ 0xe86d25ca, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xd3f148, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x98ddbb1d, "rpc_call_sync" },
	{ 0xfb10238f, "from_kuid" },
	{ 0x61ed1ba0, "rpc_put_task_async" },
	{ 0x94d23b47, "rpc_prepare_reply_pages" },
	{ 0xd51bcaf3, "rpc_queue_upcall" },
	{ 0x5382ba8a, "nfs_free_server" },
	{ 0x221d5a47, "fc_mount" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xee8cea28, "nfs_setattr" },
	{ 0xdf65b78c, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7c4a3c88, "nfs4_fs_type" },
	{ 0xd1544cb4, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x23c8ae2d, "rpc_delay" },
	{ 0xadbf0a0e, "nfs_flock" },
	{ 0xa43d3599, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf3d8e5a3, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe86fdeec, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xac92a33b, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x50afe7b6, "rpc_exit" },
	{ 0x4f56f4ec, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x6ba35b8b, "rpc_remove_pipe_dir_object" },
	{ 0xd596d060, "nfs_may_open" },
	{ 0x9edba15c, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xd487d74d, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xaba5f5a4, "xdr_reserve_space" },
	{ 0x50d8f92f, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ad010e9, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8fb8a8fe, "nfs_rmdir" },
	{ 0xf4d84549, "bpf_trace_run3" },
	{ 0xac6ca9ef, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa6004b56, "nfs_filemap_write_and_wait_range" },
	{ 0x1d116d98, "rpc_mkpipe_dentry" },
	{ 0x5e8d1d95, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa98d87c7, "rpc_mkpipe_data" },
	{ 0xd31733e0, "rpc_add_pipe_dir_object" },
	{ 0x11a0d631, "igrab" },
	{ 0x6efaf888, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8082a533, "nfs_async_iocounter_wait" },
	{ 0x77ab701f, "nfs_file_read" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0xe6d31e01, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x54063ddd, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xe31e17d5, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x36d6ac67, "nfs_setattr_update_inode" },
	{ 0xca78426e, "nfs_instantiate" },
	{ 0xc31f7d47, "init_user_ns" },
	{ 0x3ed6b2d1, "rpc_uaddr2sockaddr" },
	{ 0xeed3fcd4, "user_read" },
	{ 0x1f65b4be, "rpc_restart_call" },
	{ 0xe6e6c193, "request_key_tag" },
	{ 0x980e63c7, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x87e89491, "alloc_pages" },
	{ 0xa8acfd15, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x9a8ce35, "svc_xprt_destroy_all" },
	{ 0x53318076, "generic_key_instantiate" },
	{ 0x90638fa0, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xe5d111b2, "nfs_link" },
	{ 0x9ffef0f2, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x939d4121, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xe6839057, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5f1c903, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8a16e1d4, "xdr_stream_move_subsegment" },
	{ 0xf8c8cfb2, "put_rpccred" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x5c8d9ac0, "nfs_post_op_update_inode_force_wcc" },
	{ 0x50b47d08, "nfs_pgheader_init" },
	{ 0x363af1db, "put_nfs_open_context" },
	{ 0xbfdf4ff6, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x194d473a, "nfs_show_devname" },
	{ 0x2f082cd8, "nfs_permission" },
	{ 0x431c37b9, "nfs_initiate_commit" },
	{ 0x1ca11e7e, "truncate_inode_pages_range" },
	{ 0x518e94d2, "__put_user_ns" },
	{ 0x4bfbbba2, "cred_fscmp" },
	{ 0xeb0c404c, "rpc_unlink" },
	{ 0x5a41c4, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x905bb067, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x6b4a968b, "node_data" },
	{ 0x58202dec, "nfs_probe_server" },
	{ 0x85ed221f, "nfs_setsecurity" },
	{ 0x292e1f74, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xcf326b6b, "rpc_clnt_test_and_add_xprt" },
	{ 0x5679db75, "file_ra_state_init" },
	{ 0xb2fb59f8, "nfs_force_lookup_revalidate" },
	{ 0x159631b6, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe296d310, "rpc_clnt_add_xprt" },
	{ 0xf5a54c29, "dget_parent" },
	{ 0x8f379eb2, "from_kuid_munged" },
	{ 0xa28c9e82, "prepare_kernel_cred" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x21a0caa7, "nfs_alloc_server" },
	{ 0xf40f029, "rpc_call_async" },
	{ 0x7b507866, "security_dentry_init_security" },
	{ 0xf0a34ff2, "filemap_write_and_wait_range" },
	{ 0x2e68c622, "nfs_server_insert_lists" },
	{ 0xee5c7da7, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x387edcbe, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x5ed326c, "rpc_init_pipe_dir_object" },
	{ 0x2d8ad9a2, "bpf_trace_run7" },
	{ 0x85c1438a, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x7a2a5c72, "nfs_init_server_rpcclient" },
	{ 0x843f4466, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x64c06752, "rpc_set_connect_timeout" },
	{ 0x97a9778b, "rpcauth_create" },
	{ 0x648dfc82, "list_lru_add" },
	{ 0x25dff4c9, "xdr_stream_pos" },
	{ 0x2aae8895, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xf234e486, "svc_xprt_create" },
	{ 0x9af23bc4, "nfs42_ssc_register" },
	{ 0x27fef552, "rpc_wait_for_completion_task" },
	{ 0x2ba5fd53, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce32391, "rpc_num_bc_slots" },
	{ 0xcc9b5a69, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x19707238, "security_inode_listsecurity" },
	{ 0x45c5c043, "nfs_fhget" },
	{ 0xb9a40b01, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9219395a, "locks_copy_lock" },
	{ 0xaba9095, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xa9896f79, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x95af499e, "nfs_set_verifier" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x30e36a14, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x51cb5955, "generic_copy_file_range" },
	{ 0x3d3f5c37, "svc_generic_rpcbind_set" },
	{ 0xe01a9c1c, "nfs_clone_server" },
	{ 0x60a0f1b3, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x458a1843, "filemap_fdatawrite" },
	{ 0x91c91d48, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc9e8266, "nfs_server_remove_lists" },
	{ 0xc5b3c853, "nfs42_ssc_unregister" },
	{ 0x4c78d4ec, "generic_listxattr" },
	{ 0x405ad70e, "try_module_get" },
	{ 0xaa6f628e, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa5faa915, "nfs_writeback_update_inode" },
	{ 0x110be701, "clear_inode" },
	{ 0x274fc5cc, "inode_to_bdi" },
	{ 0x2bd9c9d9, "bpf_trace_run4" },
	{ 0x823163d5, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfd769021, "param_ops_uint" },
	{ 0xf1355845, "user_revoke" },
	{ 0x55e69f2d, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x10fd9aa8, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x42bf8fe1, "list_lru_del" },
	{ 0x25b90cad, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x16664249, "rpc_clnt_probe_trunked_xprts" },
	{ 0x4fe2f0de, "nfs_pageio_reset_read_mds" },
	{ 0x7f2f533, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x820673da, "rpc_shutdown_client" },
	{ 0xad118ed5, "svc_bind" },
	{ 0x6aa0d10a, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xd9bd0448, "nfs_free_inode" },
	{ 0x83e2df1a, "nfs_access_zap_cache" },
	{ 0xcc8f7500, "nfs_sb_deactive" },
	{ 0xe2636582, "nfs_wb_all" },
	{ 0x573a39, "__break_lease" },
	{ 0x1275b755, "nfs_pageio_init_write" },
	{ 0x3bfdbc57, "svc_recv" },
	{ 0x347caea1, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x62375406, "xdr_inline_decode" },
	{ 0x6ebf8b30, "nfs_pageio_init_read" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0xdd445781, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xa628aa5b, "nfs_init_commit" },
	{ 0x1e62c11a, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x17119b89, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc97840b2, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0xea704655, "nfs_mknod" },
	{ 0xe4d1b6a0, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xefa9cade, "nfs4_label_alloc" },
	{ 0xb95f323d, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0xb9e9f1f6, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x8dd2bc7a, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0x20332ff, "unregister_key_type" },
	{ 0xc12c0693, "nfs_client_init_is_complete" },
	{ 0x80af377b, "nfs_file_splice_read" },
	{ 0x7e27d77e, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc7e6b38e, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x11d6d383, "ihold" },
	{ 0x1410b4ff, "truncate_pagecache_range" },
	{ 0xf701190d, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xedcf351c, "invalidate_inode_pages2_range" },
	{ 0x9bed7d00, "nfs_post_op_update_inode" },
	{ 0xde0f2f35, "svc_exit_thread" },
	{ 0xef214213, "iput" },
	{ 0xf3886702, "xdr_set_pagelen" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x4f040280, "nfs_pgio_header_free" },
	{ 0x549e02f5, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6376d889, "logfc" },
	{ 0xcca7ecdd, "nfs_pgio_header_alloc" },
	{ 0x15908034, "__put_devmap_managed_page_refs" },
	{ 0x19142c7c, "iter_file_splice_write" },
	{ 0x1434c768, "rpc_pton" },
	{ 0xecc16375, "nfs_sb_active" },
	{ 0x9ca2a0a0, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xbc798e55, "rpc_wake_up_queued_task" },
	{ 0xab18ab18, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x73469b63, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x357fcdfb, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x23bce891, "_copy_from_pages" },
	{ 0xdc5cb1fd, "__module_get" },
	{ 0x529a4b58, "kmem_cache_create" },
	{ 0xbf76cd70, "rpc_task_release_transport" },
	{ 0x13b6e397, "xdr_page_pos" },
	{ 0x1830d2a8, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x859f2c40, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa67d51, "key_instantiate_and_link" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x597acfcd, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x28c3308e, "register_key_type" },
	{ 0x48f7341d, "rpc_sleep_on" },
	{ 0xfa551397, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x81db40df, "nfs_pageio_resend" },
	{ 0xfc3033d1, "keyring_alloc" },
	{ 0xf349ec1a, "vfs_setpos" },
	{ 0xe26bf91c, "nfs_create" },
	{ 0x51f6cc76, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfafc787, "__put_cred" },
	{ 0x14fcc9a7, "swapcache_mapping" },
	{ 0x98482ba4, "nfs_statfs" },
	{ 0xe08cf7ee, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x5d934b76, "rpc_max_bc_payload" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x8fe43b42, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd614d1e, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xcbc20ab4, "nfs_mkdir" },
	{ 0x52ef0f2e, "nfs_revalidate_inode" },
	{ 0x84a73cfc, "inode_newsize_ok" },
	{ 0xc8ad3aa9, "nfs_file_mmap" },
	{ 0xad4b54d6, "nfs_get_lock_context" },
	{ 0xb4d22932, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9f27f663, "nfs_set_cache_invalid" },
	{ 0x6bdf6fdb, "rpc_release_client" },
	{ 0x5ed8265f, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdd66bd5c, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4ac95cf9, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xd9a29854, "nfs_generic_pgio" },
	{ 0xdf0c6d0f, "make_kuid" },
	{ 0x9d845400, "truncate_inode_pages_final" },
	{ 0x758f045d, "generic_setlease" },
	{ 0x7034ac85, "xprt_destroy_backchannel" },
	{ 0xdb20d62b, "rpc_switch_client_transport" },
	{ 0x4d7c577a, "bc_svc_process" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0cbcb5, "nfs_scan_commit_list" },
	{ 0xeeae2ae7, "xdr_stream_decode_string_dup" },
	{ 0x4f828386, "nfs_commit_inode" },
	{ 0xe820088d, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x91db6738, "unregister_shrinker" },
	{ 0x108055b9, "rpc_destroy_pipe_data" },
	{ 0x80a16f3b, "nfs_get_client" },
	{ 0x313adc44, "__free_pages" },
	{ 0x79f1ecb0, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x39270d2, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xafa7e2b3, "nfs_atomic_open" },
	{ 0x32484e30, "rpc_pipe_generic_upcall" },
	{ 0xdae4e917, "nfs_file_fsync" },
	{ 0x28890a6d, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x63e275c7, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x64ebe5e6, "nfs_put_lock_context" },
	{ 0x85fad2d9, "nfs_rename" },
	{ 0xb7d64934, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb7aeb8cc, "nfs_sysfs_link_rpc_client" },
	{ 0xd5aebccd, "nfs_put_client" },
	{ 0x6ff0ad39, "nfs_show_options" },
	{ 0xe67404c6, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x757f6960, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x34250b64, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x907f524c, "get_nfs_open_context" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0x480702a, "nfs_clear_verifier_delegated" },
	{ 0xd085d020, "nfs_sysfs_add_server" },
	{ 0x6f66bfd2, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1905ae48, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xbb80ff34, "nfs_do_submount" },
	{ 0x516a8e0b, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x57986fdc, "request_key_with_auxdata" },
	{ 0x62d0085d, "rpc_clone_client_set_auth" },
	{ 0xa437a8cb, "rpc_clone_client" },
	{ 0x3dd29b7b, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xdb4362b7, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xbc8269ef, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xaf2fa924, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c9ee4f2, "put_fs_context" },
	{ 0x4fff4478, "nfs_retry_commit" },
	{ 0x51cc185f, "nfs4_dentry_operations" },
	{ 0xd47a2d8, "__module_put_and_kthread_exit" },
	{ 0xca31b84a, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xfaad9c3f, "nfs_client_for_each_server" },
	{ 0xd81310cb, "nfs_clear_inode" },
	{ 0x6a07a95d, "rpc_sleep_on_priority" },
	{ 0x7966469e, "nfs_invalidate_atime" },
	{ 0xeb9c0882, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa125a0c4, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x1633a819, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4eb24cf3, "nfs_pageio_reset_write_mds" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,dns_resolver");


MODULE_INFO(srcversion, "D65C3DDB0226309D518FA74");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
