#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x3cab090d, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xfe84a4b2, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x50a1d7f0, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x1ee18fd6, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x5c3b3690, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1406e2cd, "inet_ctl_sock_create" },
	{ 0x60641947, "inet_ioctl" },
	{ 0xbea205c0, "reuseport_add_sock" },
	{ 0x8bbb4944, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x520e97c4, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf6ef73d0, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0x6f66bfd2, "fput" },
	{ 0xb4cb5089, "inet_accept" },
	{ 0x4463ca9b, "init_net" },
	{ 0xf5ceae09, "crypto_shash_setkey" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0xdb54a601, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9abc57af, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x29ba4034, "__SCK__tp_func_sk_data_ready" },
	{ 0x984f9456, "inet_add_protocol" },
	{ 0x9f6dd3ab, "inet_shutdown" },
	{ 0x7fc70cbb, "sk_free" },
	{ 0x3d6cecdd, "sock_wake_async" },
	{ 0x6baad4cf, "dev_get_by_index_rcu" },
	{ 0x2541c790, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x5792d98e, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xad74208d, "skb_push" },
	{ 0x1b1656de, "__ip_queue_xmit" },
	{ 0x4014890f, "kmem_cache_free" },
	{ 0xefb254e4, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x19661d52, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x16326f0f, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x2d3bd2bc, "inet6_ioctl" },
	{ 0x38f9dbdc, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf2386965, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xa87151e8, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6e5cb51e, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x407a0193, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x66f466b4, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8986bf0d, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x16d4d5a3, "__pskb_pull_tail" },
	{ 0x598ba51f, "setup_udp_tunnel_sock" },
	{ 0x9517da5c, "udp_sock_create6" },
	{ 0xa715db91, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7a1f4c02, "sk_common_release" },
	{ 0xd97bf461, "pv_ops" },
	{ 0xf4d84549, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3321eb41, "inet6_getname" },
	{ 0x1b3f72ae, "sock_i_ino" },
	{ 0x4b02d79f, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x25053862, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x86be8a11, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x73331fb6, "ipv4_mtu" },
	{ 0x3a5cd63c, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0x92e1f116, "__skb_checksum" },
	{ 0x2aa03d70, "reuseport_alloc" },
	{ 0x9d823058, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x2dc3c411, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc19be6bd, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89047601, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xb51ff449, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0xc4bc44df, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x987bbe4, "proc_create_net_single" },
	{ 0x17bd5bf, "skb_copy" },
	{ 0x6d8cf285, "skb_clone" },
	{ 0x440cc73a, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecbd3720, "dst_release" },
	{ 0x668b8ff9, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x3325fa09, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x273c0f1b, "inet_recv_error" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x83d9c361, "seq_puts" },
	{ 0x6cc2b249, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xc591f2d9, "_proc_mkdir" },
	{ 0x157d4881, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc5a634d4, "send_sig" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x63482f80, "inet6_add_protocol" },
	{ 0x8f379eb2, "from_kuid_munged" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xdb4a02df, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xe3b7538f, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa423c6bb, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x1eb24da5, "reuseport_detach_sock" },
	{ 0xcedb0308, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xc8e554e3, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfd86da25, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x49d3968c, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf985b8b5, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xaba9095, "kmem_cache_destroy" },
	{ 0x635cc102, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x98f57c15, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xa1661c7a, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x343353ec, "sock_i_uid" },
	{ 0x8426a87c, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xccefefa4, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x9580bbac, "skb_copy_bits" },
	{ 0x7ac966e0, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa8c0454, "sock_wfree" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x2d5a368f, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6f2e059d, "ip6_dst_hoplimit" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0xb1503ed0, "inet6_add_offload" },
	{ 0xebac0d29, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5d98d6eb, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x9b9d89b6, "l3mdev_fib_table_by_index" },
	{ 0x729dcfd9, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xee5de1ba, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x1cf42eea, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdb52016f, "skb_segment" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0xe1a6a330, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x99fc392, "udp_tunnel6_xmit_skb" },
	{ 0x2bf46ab1, "sock_common_getsockopt" },
	{ 0x8c62f358, "inet_bind" },
	{ 0x41d777cb, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xca183789, "fd_install" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7944a2, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x15a9b49c, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xec451f90, "__tracepoint_sk_data_ready" },
	{ 0xab18ab18, "bpf_trace_run2" },
	{ 0x1c6e4b89, "sock_common_setsockopt" },
	{ 0x29fc8601, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc5c2b8f9, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x529a4b58, "kmem_cache_create" },
	{ 0x216bded5, "__sk_mem_schedule" },
	{ 0x9f41c077, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x6200036d, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc1b812ba, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x28aaf4a7, "sk_error_report" },
	{ 0xce121915, "register_pernet_subsys" },
	{ 0x20935f4b, "put_cmsg" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x4c8996ac, "register_net_sysctl_sz" },
	{ 0x587e93de, "inet_sock_destruct" },
	{ 0x38d44fc6, "crypto_destroy_tfm" },
	{ 0xa920d89d, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5fe91407, "inet_sk_get_local_port_range" },
	{ 0xb43543f4, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb0760d3d, "inet_getname" },
	{ 0x506c6d6f, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x36c52c21, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4e7d09dc, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x23e244f0, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x79f1ecb0, "kmem_cache_alloc" },
	{ 0x2d7f3434, "proto_register" },
	{ 0xe2ab5fb9, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x6a5ab997, "inet6_compat_ioctl" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "8FEDE5B756267ED8E49526D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
