#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_calc_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x9eee47ff, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x38dab0b2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x0f793432, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xcf8450e8, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x0d4dea70, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xde5a524c, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xb4d81e0e, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x25af3da4, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x4a038e90, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x61e1a621, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xc24cb296, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x914e7fcc, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x70cffa95, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x397fbe86, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x1eb24948, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x7894c10a, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xa338aa86, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x04ba805e, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x4a3871a4, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xe120ca56, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xfb4dfabe, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x2d0a4eb2, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x3a075286, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x5b0c14bb, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xcfaa71b6, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x158ffe57, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0xc0e84eec, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0xdabd8d7e, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0xbf320c6e, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x8545e3d2, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x412a2724, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x8b5b7776, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0xf82b1790, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0xb25e3892, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x4695c385, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0xbe5f54a5, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x20f13338, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0xa3e3d800, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xa78697db, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x9053f59c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0xe4a97455, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xca65dfa9, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x2b3470d3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x5d80be3a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x6114899b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xc0d04de4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x7b486250, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xa6643b07, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x08d24dda, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0xc6bae590, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x4723f10e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0xd4f1493c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xb5285ef5, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xd8ebce4e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x2f0272c9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x81568d3e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x3706f992, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xeaacf388, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x94c06dce, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x4bc49653, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x03a96ee2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0xeac483f0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0xb6c05792, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0xc825ed2a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x25503182, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0xd499cd3b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x68089cd8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0xc1e35d3b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x3fc99ba9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x28a567b6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0xa9551909, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xdc702561, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x81b22e08, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xd3e580f5, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x5113eb1d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x3037750b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x6eef3508, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x104dea21, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xbbc13399, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xeb3e9eb7, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x9f9a0826, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x9505243c, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x54f2604e, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x48d571bd, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x11d3884d, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x307fc4b4, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x27a78de2, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0xbf515da7, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0xd266babb, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0xa15e63bd, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xbf793c9b, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x78c2745f, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x19f9366f, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x8da206ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0x88f8c56e, "snd_sgbuf_get_chunk_size" },
	{ 0x806bb620, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0xfdadeb2d, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x44c51b0f, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4d46cca, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc21353d4, "_dev_info" },
	{ 0x28890a6d, "module_put" },
	{ 0x19e2cb42, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0x8ab45cbb, "bus_unregister" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x2c7db345, "kobject_add" },
	{ 0x9f3f17b0, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4f288d6d, "__devres_alloc_node" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf0ce6cbf, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd3145f01, "__regmap_init" },
	{ 0xd45a5ed4, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xfad92f1, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbb440842, "sysfs_remove_group" },
	{ 0xf4d84549, "bpf_trace_run3" },
	{ 0x3a15eb82, "component_master_del" },
	{ 0x5766c7d3, "regmap_read" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0x405a351f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6f597e51, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6464838e, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfd1b6d6f, "pci_match_id" },
	{ 0x87eb5faa, "devres_find" },
	{ 0x7e10b10b, "regmap_update_bits_base" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xfa29eec5, "__pm_runtime_suspend" },
	{ 0x7495e2df, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf8b31f66, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7bc6339d, "pci_bus_type" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe001d5a6, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37f7b35e, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x405ad70e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6b1a8cd1, "regcache_sync" },
	{ 0x7f56c4ec, "regmap_write" },
	{ 0x9b157c41, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6dff3b8d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd51493cc, "component_master_add_with_match" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0xac62dbd2, "snd_pcm_add_chmap_ctls" },
	{ 0x58eed40b, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x32c5c51f, "pci_get_device" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0xfb13a2d, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd041d360, "pm_runtime_get_if_active" },
	{ 0x94d91a0d, "kobject_init" },
	{ 0x1006dcf8, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e2149ea, "regcache_reg_cached" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xab18ab18, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbbdfd423, "snd_sgbuf_get_addr" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "C55C99E4C61D3336E964462");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
