#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0x3473422c, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0x9a5b5b04, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0xdd3afc8e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4526a192, "devm_gpiod_get_optional" },
	{ 0x3510368b, "cs35l41_init_boost" },
	{ 0x4e73ffb1, "cs35l41_enter_hibernate" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44c51b0f, "__pm_runtime_set_status" },
	{ 0x9837f1b9, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27c887e6, "pm_runtime_enable" },
	{ 0xb4135fe9, "regulator_bulk_disable" },
	{ 0x5c76530, "device_property_read_u32_array" },
	{ 0xa33790f5, "snd_soc_get_enum_double" },
	{ 0xc21353d4, "_dev_info" },
	{ 0x8a3c042b, "snd_soc_info_volsw" },
	{ 0xc96c7c6f, "regmap_multi_reg_write_bypassed" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x3279c8b9, "wm_adsp_event" },
	{ 0x22a0dadf, "snd_soc_dapm_put_volsw" },
	{ 0x456c62bb, "cs35l41_test_key_unlock" },
	{ 0x86bd9fc2, "cs35l41_test_key_lock" },
	{ 0xbecb6ccb, "snd_pcm_hw_constraint_list" },
	{ 0x1bfdbdc3, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x432a7387, "wm_adsp2_component_probe" },
	{ 0x1ebed11e, "wm_adsp2_preloader_put" },
	{ 0x85f517, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9cbe5b83, "wm_adsp2_preloader_get" },
	{ 0xd064c7b5, "snd_soc_info_enum_double" },
	{ 0x6298ba0a, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xa652b2a, "devm_regulator_bulk_get" },
	{ 0x46b65fbf, "snd_soc_info_volsw_sx" },
	{ 0x677dfdc5, "cs35l41_otp_unpack" },
	{ 0xd7b8f1b9, "wm_adsp2_component_remove" },
	{ 0xed2fdaa5, "snd_soc_get_volsw" },
	{ 0x906b1ea8, "cs35l41_exit_hibernate" },
	{ 0x5766c7d3, "regmap_read" },
	{ 0xd752ad02, "snd_soc_put_volsw" },
	{ 0x56da5b51, "wm_adsp_fw_get" },
	{ 0x405a351f, "__pm_runtime_resume" },
	{ 0x79c581b1, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x4adf7c5d, "cs35l41_write_fs_errata" },
	{ 0x5d943cdf, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x35710f12, "cs35l41_configure_cs_dsp" },
	{ 0x619061b8, "_dev_crit" },
	{ 0x7e10b10b, "regmap_update_bits_base" },
	{ 0x30060195, "dev_err_probe" },
	{ 0xdfe7d68a, "snd_soc_dapm_get_volsw" },
	{ 0xfa29eec5, "__pm_runtime_suspend" },
	{ 0xb5d32ab5, "snd_soc_dapm_get_enum_double" },
	{ 0xcb27a727, "__pm_runtime_use_autosuspend" },
	{ 0x442745dc, "wm_halo_init" },
	{ 0xad8dcc05, "wm_adsp_early_event" },
	{ 0x9e7087c3, "cs35l41_set_channels" },
	{ 0xb7852854, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0x8a41d8d3, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x97bfdef7, "snd_soc_dapm_put_enum_double" },
	{ 0xd4dad1cc, "wm_adsp_fw_put" },
	{ 0x2b677479, "device_property_present" },
	{ 0x6f2052d1, "cs35l41_global_enable" },
	{ 0xacab2a9d, "regcache_cache_only" },
	{ 0xa0bdaeb8, "is_acpi_device_node" },
	{ 0x6b1a8cd1, "regcache_sync" },
	{ 0x7f56c4ec, "regmap_write" },
	{ 0x3250a621, "devm_request_threaded_irq" },
	{ 0x18bc71bc, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc1903647, "pm_runtime_set_autosuspend_delay" },
	{ 0x15718337, "cs35l41_register_errata_patch" },
	{ 0x51c86b01, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x53e669de, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5c75957b, "snd_soc_put_enum_double" },
	{ 0xe682caa1, "regcache_mark_dirty" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "1B8BD72A555B1E8A00618FD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
