#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_hdmi_jack_port_init, "_gpl", "");
KSYMTAB_FUNC(hdac_hdmi_jack_init, "_gpl", "");

SYMBOL_CRC(hdac_hdmi_jack_port_init, 0x4b1d0ab9, "_gpl");
SYMBOL_CRC(hdac_hdmi_jack_init, 0x11a82f33, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb95e386b, "_dev_err" },
	{ 0x48d571bd, "snd_hdac_register_chmap_ops" },
	{ 0xba9d8e07, "snd_hdac_ext_bus_link_get" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3bd544c2, "snd_hdac_get_active_channels" },
	{ 0x9505243c, "snd_hdac_setup_channel_mapping" },
	{ 0x2273f1d0, "snd_ctl_notify" },
	{ 0xb4d81e0e, "snd_hdac_codec_link_down" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37fcc09a, "dapm_kcontrol_get_value" },
	{ 0xd266babb, "snd_hdac_acomp_get_eld" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x27a78de2, "snd_hdac_display_power" },
	{ 0x2caf99a5, "snd_hda_ext_driver_register" },
	{ 0xa40f96db, "snd_pcm_hw_constraint_mask64" },
	{ 0x85f517, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd064c7b5, "snd_soc_info_enum_double" },
	{ 0xbf320c6e, "snd_hdac_check_power_state" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x994b7dfe, "snd_pcm_hw_constraint_eld" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe1652400, "snd_hda_ext_driver_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5d943cdf, "snd_soc_dapm_new_controls" },
	{ 0x4ba805e, "snd_hdac_get_sub_nodes" },
	{ 0xef5d3738, "pm_runtime_force_resume" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e4e952e, "snd_soc_dapm_put_pin_switch" },
	{ 0xda7df277, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xc697624a, "snd_soc_dapm_info_pin_switch" },
	{ 0xa7329694, "snd_hdac_ext_bus_link_put" },
	{ 0xd147a51a, "snd_soc_add_card_controls" },
	{ 0xfa29eec5, "__pm_runtime_suspend" },
	{ 0xb5d32ab5, "snd_soc_dapm_get_enum_double" },
	{ 0xc0e84eec, "snd_hdac_codec_read" },
	{ 0xb7852854, "__pm_runtime_disable" },
	{ 0x8181cbe7, "device_link_add" },
	{ 0x9eee47ff, "hdac_get_device_id" },
	{ 0x6bb8e0cb, "pm_runtime_force_suspend" },
	{ 0xc2ee7100, "__pm_runtime_idle" },
	{ 0xde5a524c, "snd_hdac_codec_link_up" },
	{ 0xbdcc076e, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x97bfdef7, "snd_soc_dapm_put_enum_double" },
	{ 0xe120ca56, "snd_hdac_get_connections" },
	{ 0x7124b735, "devm_kmalloc" },
	{ 0x8545e3d2, "snd_hdac_sync_power_state" },
	{ 0xf361e9f, "snd_ctl_add" },
	{ 0x11d3884d, "snd_hdac_add_chmap_ctls" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x598f6ed4, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x54f2604e, "snd_hdac_channel_allocation" },
	{ 0xb14ab1ef, "hdmi_audio_infoframe_init" },
	{ 0xbc6de200, "snd_soc_dapm_enable_pin" },
	{ 0xdabd8d7e, "snd_hdac_codec_write" },
	{ 0xa941ded4, "snd_soc_dapm_disable_pin" },
	{ 0xcfaa71b6, "snd_hdac_query_supported_pcm" },
	{ 0x4a3871a4, "snd_hdac_refresh_widgets" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb7cd6cf5, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9837f1b9, "devm_snd_soc_register_component" },
	{ 0x1e6d43ba, "snd_ctl_new1" },
	{ 0x29e1e204, "hdmi_audio_infoframe_pack" },
	{ 0x51bcda4a, "snd_soc_dapm_new_widgets" },
	{ 0x352546b9, "devm_kstrdup" },
	{ 0x1eb24948, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27c887e6, "pm_runtime_enable" },
	{ 0xac6e98, "snd_soc_dapm_get_pin_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa15e63bd, "snd_hdac_acomp_register_notifier" },
	{ 0x1c724857, "devm_kmemdup" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x7894c10a, "snd_hdac_read_parm_uncached" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd,snd-soc-core,snd-pcm");

MODULE_ALIAS("hdaudio:v80862809r00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Ar00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Br00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Cr00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Dr00100000a02*");

MODULE_INFO(srcversion, "B972B1B1F3CE977DCF16FA1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
