#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipu_bridge_parse_ssdb, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_instantiate_vcm, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_init, "_gpl", "INTEL_IPU_BRIDGE");

SYMBOL_CRC(ipu_bridge_parse_ssdb, 0x2e1124b9, "_gpl");
SYMBOL_CRC(ipu_bridge_instantiate_vcm, 0x35107e6a, "_gpl");
SYMBOL_CRC(ipu_bridge_init, 0xeafa2dbf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x405a351f, "__pm_runtime_resume" },
	{ 0x54f27560, "i2c_acpi_new_device_by_fwnode" },
	{ 0x8181cbe7, "device_link_add" },
	{ 0xc21353d4, "_dev_info" },
	{ 0xc2ee7100, "__pm_runtime_idle" },
	{ 0xc4d46cca, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x5adbb50b, "fwnode_handle_put" },
	{ 0xbff951d0, "acpi_dev_get_first_match_dev" },
	{ 0x75ca927e, "acpi_dev_get_next_consumer_dev" },
	{ 0xfd32b314, "acpi_dev_get_next_match_dev" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3bdbe128, "platform_bus_type" },
	{ 0x2c1ed230, "bus_find_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x52063da, "device_find_child_by_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xb48f0638, "software_node_register" },
	{ 0x9df94399, "acpi_device_hid" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0xa67f40cf, "software_node_fwnode" },
	{ 0x3d02d01, "get_device" },
	{ 0xa357cf17, "set_secondary_fwnode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcbe3ee2, "software_node_unregister" },
	{ 0xaeb1341d, "__dev_fwnode" },
	{ 0xc2ee30d2, "fwnode_find_reference" },
	{ 0xa411154f, "i2c_find_device_by_fwnode" },
	{ 0xceab0311, "strchrnul" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa0bdaeb8, "is_acpi_device_node" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9709453852E18664A8340D9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
