#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2544b0b5, "fc_remote_port_delete" },
	{ 0x820891a0, "scsi_is_fc_rport" },
	{ 0xda040f62, "scsi_done" },
	{ 0x255501a7, "mptscsih_qcmd" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9568adc9, "mptscsih_event_process" },
	{ 0x2d0e98aa, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0xca3221ce, "mpt_config" },
	{ 0xb38fd9a1, "dma_alloc_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac799491, "mptscsih_ioc_reset" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf631374, "mpt_attach" },
	{ 0x3a0aacd6, "scsi_host_alloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ddffde5, "scsi_add_host_with_dma" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdcfd5183, "mptscsih_abort" },
	{ 0x9d86df93, "mptscsih_dev_reset" },
	{ 0xdd5379be, "mptscsih_bus_reset" },
	{ 0xf8dbd915, "fc_remote_port_add" },
	{ 0x8a40e56a, "fc_remote_port_rolechg" },
	{ 0xb7c0f443, "sort" },
	{ 0x857fd363, "mptscsih_suspend" },
	{ 0x996da49d, "mptscsih_resume" },
	{ 0xd5301c0e, "mptscsih_shutdown" },
	{ 0xcd007a5f, "mptscsih_info" },
	{ 0xb24eb318, "mptscsih_host_reset" },
	{ 0x9b44232f, "mptscsih_slave_configure" },
	{ 0x31ae6ba3, "mptscsih_slave_destroy" },
	{ 0x3bf961a, "mptscsih_change_queue_depth" },
	{ 0xc3d99f52, "mptscsih_bios_param" },
	{ 0xf4fdbdd, "mptscsih_show_info" },
	{ 0x52517b58, "fc_eh_timed_out" },
	{ 0x9e698eaa, "mptscsih_host_attr_groups" },
	{ 0xd8a8ba88, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe0a6e8ee, "fc_attach_transport" },
	{ 0x60172e57, "mptscsih_io_done" },
	{ 0xe4abf4c, "mpt_register" },
	{ 0x425a386c, "mptscsih_taskmgmt_complete" },
	{ 0x9f13589, "mptscsih_scandv_complete" },
	{ 0x133b8732, "mpt_event_register" },
	{ 0xb7652b3f, "mpt_reset_register" },
	{ 0xa67d9e0e, "__pci_register_driver" },
	{ 0xfac823d2, "fc_release_transport" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x976e2ae7, "fc_remove_host" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c91e2ed, "dma_free_attrs" },
	{ 0xaf13e9e6, "scsi_remove_host" },
	{ 0x62e0752a, "mptscsih_remove" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_mod,mptscsih,mptbase");

MODULE_ALIAS("pci:v00001000d00000621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000624sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000628sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000626sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000642sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001657d00000646sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C722A4064FFAAF5F824D402");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
