#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0x251a1d3d, "_gpl");
SYMBOL_CRC(mei_reset, 0x168c2a93, "_gpl");
SYMBOL_CRC(mei_start, 0x3c6a7177, "_gpl");
SYMBOL_CRC(mei_restart, 0xaf39284b, "_gpl");
SYMBOL_CRC(mei_stop, 0xdf7210e3, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0xa3339f50, "_gpl");
SYMBOL_CRC(mei_device_init, 0x62233128, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0x1d8bae4c, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0xcd9b967b, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0xbaca1438, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0xdef7106f, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0x12643f07, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0xcb38f656, "_gpl");
SYMBOL_CRC(mei_register, 0xb66fc12d, "_gpl");
SYMBOL_CRC(mei_deregister, 0x684f9aa4, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0xe1a9ac62, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0xf1ef23e4, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0x7b9efc70, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0x27731e5f, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0xd8d87e4b, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0xa5b1889a, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0x461cb080, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0x80fe0a9d, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x7ee5205a, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0x4c3f9aa8, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x6eebff78, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0x44419501, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0x68ed9ed0, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0xfbac849f, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x75de31f7, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x826ec654, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0xcf813e9e, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x5d78600d, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0x0893fad4, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0xf148b376, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x21432e43, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x06380a70, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x353c721a, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0xd00976bf, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x7e9e0d02, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0xc2aae0b3, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0xd5845373, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x8c6e4124, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0xb45a75cb, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x60cd13b4, "debugfs_write_file_bool" },
	{ 0xc4d46cca, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc21353d4, "_dev_info" },
	{ 0x28890a6d, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcbb5b999, "compat_ptr_ioctl" },
	{ 0xc212e376, "cdev_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0x8ab45cbb, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x6559924b, "simple_open" },
	{ 0x9f3f17b0, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x75f419e5, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6715eede, "fasync_helper" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x5e3c5d5a, "driver_unregister" },
	{ 0xf84abf6f, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd45a5ed4, "device_del" },
	{ 0x8b81330c, "dmam_free_coherent" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0xfe3118f5, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668b19a1, "down_read" },
	{ 0xfd98176e, "nonseekable_open" },
	{ 0x461d4dfe, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5ae99d16, "device_create_with_groups" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd3e64d71, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0x405a351f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbb078c5b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc1ca1f1, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x83d9c361, "seq_puts" },
	{ 0x5096f5a6, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xfa29eec5, "__pm_runtime_suspend" },
	{ 0xfdb5de31, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb21c62c0, "single_open" },
	{ 0x47d41c8e, "debugfs_create_dir" },
	{ 0xbc315949, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf615f768, "driver_register" },
	{ 0x8e106c58, "class_register" },
	{ 0x20c929f5, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x5e9d157, "cdev_del" },
	{ 0xe001d5a6, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa487f2b9, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x405ad70e, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x2bd9c9d9, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6dff3b8d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{  0x1cbe7, "dmam_alloc_attrs" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x412bf9ce, "kill_fasync" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1006dcf8, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0xc640a690, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdc5cb1fd, "__module_get" },
	{ 0x3d02d01, "get_device" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1fa5d873, "debugfs_read_file_bool" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0x2a05aa86, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0D413F2FDDF645984232EC4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
