#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0xac40bc27, "virtqueue_get_vring_size" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb38fd9a1, "dma_alloc_attrs" },
	{ 0x566d875e, "netdev_info" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0xb98cb693, "__dynamic_netdev_dbg" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0x8bc03d9c, "netif_carrier_on" },
	{ 0x593f683c, "napi_enable" },
	{ 0x98c72f44, "napi_schedule_prep" },
	{ 0x2a4041eb, "__napi_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x31cf56f2, "unregister_virtio_driver" },
	{ 0x1dcdf4de, "__netdev_alloc_skb" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xde88bdb0, "netif_receive_skb" },
	{ 0x9f597502, "vringh_complete_kern" },
	{ 0xb98c2548, "vringh_getdesc_kern" },
	{ 0xea765677, "netdev_err" },
	{ 0xf2da2426, "netdev_warn" },
	{ 0x2d7627d6, "napi_complete_done" },
	{ 0x932af7d7, "vringh_notify_disable_kern" },
	{ 0x4bc36379, "netif_carrier_off" },
	{ 0x9a81a3f6, "vringh_need_notify_kern" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0x8f8840e8, "vringh_notify_enable_kern" },
	{ 0x56f3687b, "alloc_netdev_mqs" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2c91dbbd, "virtqueue_disable_cb" },
	{ 0x1bf292ef, "netif_napi_add_weight" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x770abc1c, "register_netdevice" },
	{ 0x349cba85, "strchr" },
	{ 0x47d41c8e, "debugfs_create_dir" },
	{ 0xd3243147, "debugfs_create_u32" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x454ec264, "free_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x9580bbac, "skb_copy_bits" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9c2ab1f3, "virtqueue_get_buf" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf78ca43d, "netif_tx_wake_queue" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xfdcf7435, "virtqueue_add_outbuf" },
	{ 0x661215e8, "virtqueue_kick" },
	{ 0xd8e41cf8, "virtqueue_enable_cb" },
	{ 0xf49e2241, "netif_tx_stop_all_queues" },
	{ 0xf7187e0c, "napi_disable" },
	{ 0x72d8b205, "virtqueue_detach_unused_buf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8985a933, "register_virtio_driver" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x21fb6be0, "dev_close" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x75f419e5, "debugfs_remove" },
	{ 0x6d78b95d, "virtio_reset_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27d07d7a, "unregister_netdev" },
	{ 0x37a0cba, "kfree" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x6c91e2ed, "dma_free_attrs" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "vringh");

MODULE_ALIAS("virtio:d0000000Cv*");

MODULE_INFO(srcversion, "D8782A550133F35EE45375F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
