#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x1cefb86a, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0xc30f69a4, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0xc84f7ff6, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xbbf3c67a, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x88de934f, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xe03d5d29, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x47daa634, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x35e7e347, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fabfeab, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb1b29688, "mt76_csa_check" },
	{ 0xd5f276fa, "mt76_tx_status_skb_add" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b6cc3b7, "mt76u_single_wr" },
	{ 0xfbf32d76, "__mt76_tx_complete_skb" },
	{ 0x75c8a0cb, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb85d97e9, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb14dd8e9, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf0dc1ea0, "mt76_csa_finish" },
	{ 0x4e7d09dc, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xad74208d, "skb_push" },
	{ 0xbee43e44, "mt76x02_init_beacon_config" },
	{ 0x287b3952, "__mt76_mcu_msg_alloc" },
	{ 0x61f0192c, "mt76x02_mac_write_txwi" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xad4f99f5, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4e15320e, "mt76_skb_adjust_pad" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x33b6a13, "mt76x02_mac_set_beacon" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xe48d744e, "__mt76_poll" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfa689f4a, "mt76x02_update_beacon_iter" },
	{ 0xa189694e, "ieee80211_iterate_interfaces" },
	{ 0x32ce6334, "mt76x02_enqueue_buffered_bc" },
	{ 0x8079212b, "mt76x02_remove_hdr_pad" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x44b3143b, "mt76x02_resync_beacon_timer" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "3D71E0BD790B9FC15D69657");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
