#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0xf6cffbf8, "");
SYMBOL_CRC(rpmsg_create_channel, 0xb928b9da, "");
SYMBOL_CRC(rpmsg_release_channel, 0xd5dcb15d, "");
SYMBOL_CRC(rpmsg_create_ept, 0xb47332ca, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0x366c393e, "");
SYMBOL_CRC(rpmsg_send, 0xffe7c042, "");
SYMBOL_CRC(rpmsg_sendto, 0x300143e1, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0xd96f743c, "");
SYMBOL_CRC(rpmsg_trysend, 0xc04f9dd3, "");
SYMBOL_CRC(rpmsg_trysendto, 0x4717c32d, "");
SYMBOL_CRC(rpmsg_poll, 0xa297b7c6, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0xdfa5a880, "");
SYMBOL_CRC(rpmsg_set_flow_control, 0x251fe7cd, "_gpl");
SYMBOL_CRC(rpmsg_get_mtu, 0x85b50571, "");
SYMBOL_CRC(rpmsg_find_device, 0xd19a67a5, "");
SYMBOL_CRC(rpmsg_register_device_override, 0x0ca6fae0, "");
SYMBOL_CRC(rpmsg_register_device, 0x3ebeb4b5, "");
SYMBOL_CRC(rpmsg_unregister_device, 0xa8a4b5df, "");
SYMBOL_CRC(__register_rpmsg_driver, 0xb11b0887, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0x275acf2a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x110007b9, "device_find_child" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a921311, "strncmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x6dff3b8d, "dev_set_name" },
	{ 0x1006dcf8, "device_initialize" },
	{ 0x754d539c, "strlen" },
	{ 0xd6d29a38, "driver_set_override" },
	{ 0x9f3f17b0, "device_add" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4d46cca, "put_device" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x893d217f, "device_unregister" },
	{ 0xf615f768, "driver_register" },
	{ 0x5e3c5d5a, "driver_unregister" },
	{ 0x53ddd71c, "class_create" },
	{ 0xe001d5a6, "bus_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x955e2c0b, "class_destroy" },
	{ 0x8ab45cbb, "bus_unregister" },
	{ 0x59e69234, "dev_pm_domain_detach" },
	{ 0x92b62954, "dev_pm_domain_attach" },
	{ 0x9166fada, "strncpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "225EEAE14EF02725C3F3C4E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
