#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x98ec4194, "");
SYMBOL_CRC(w1_remove_master_device, 0xf52f4d39, "");
SYMBOL_CRC(w1_register_family, 0x31d79bae, "");
SYMBOL_CRC(w1_unregister_family, 0x79596a9d, "");
SYMBOL_CRC(w1_touch_bit, 0xf0d4b560, "_gpl");
SYMBOL_CRC(w1_write_8, 0xf7909d61, "_gpl");
SYMBOL_CRC(w1_triplet, 0x9082a0b9, "_gpl");
SYMBOL_CRC(w1_read_8, 0x72880ff4, "_gpl");
SYMBOL_CRC(w1_write_block, 0xfc9021a4, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x9cbf5172, "_gpl");
SYMBOL_CRC(w1_read_block, 0x6ba5b6e4, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x20f80a37, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xdf02f29e, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0xb9b938d1, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x9b1678fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d6a045b, "cn_netlink_send_mult" },
	{ 0xc4d46cca, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc21353d4, "_dev_info" },
	{ 0xfd0e4764, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0x8ab45cbb, "bus_unregister" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xeea793e4, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5e3c5d5a, "driver_unregister" },
	{ 0xf0ce6cbf, "sysfs_create_group" },
	{ 0x1238ccf1, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7f6c3a33, "device_register" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0x1ad010e9, "kthread_create_on_node" },
	{ 0xd97bf461, "pv_ops" },
	{ 0xbb440842, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6464838e, "kobject_uevent" },
	{ 0xd11628b1, "hwmon_device_unregister" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xd8a8ba88, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf615f768, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d9820bb, "cn_add_callback" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe001d5a6, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6dff3b8d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x893d217f, "device_unregister" },
	{ 0x77e8b1cc, "sysfs_remove_groups" },
	{ 0xc6089599, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe08cf7ee, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "209C80244BDFC77A7FAAFCD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
