#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x828855a6, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x8c6313e9, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x08789ded, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xb53e2b9c, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x2b1a13b4, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xec226b23, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x281dc76e, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x16aa6c5b, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xd8834494, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x7c48811a, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x292b4808, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x25e83b35, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc9217c3, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfb1853fd, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1afde566, "gro_cells_init" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x4463ca9b, "init_net" },
	{ 0x56f3687b, "alloc_netdev_mqs" },
	{ 0x69059bfa, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x454ec264, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9580bbac, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x16d4d5a3, "__pskb_pull_tail" },
	{ 0x770abc1c, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x7d192165, "netdev_state_change" },
	{ 0x19661d52, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdf0c6d0f, "make_kuid" },
	{ 0x552f170d, "ip6_redirect" },
	{ 0x3b8b454c, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3960b777, "ip6_route_output_flags" },
	{ 0x2aedb664, "xfrm_lookup" },
	{ 0x9abc57af, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x22a85001, "skb_scrub_packet" },
	{ 0x3b6e516b, "skb_realloc_headroom" },
	{ 0x3a5cd63c, "skb_set_owner_w" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0xcb655784, "ipv6_push_frag_opts" },
	{ 0xad74208d, "skb_push" },
	{ 0xa97e9fa2, "ip6_local_out" },
	{ 0x9c3878b3, "dst_cache_get" },
	{ 0xf1fb1aae, "dst_cache_set_ip6" },
	{ 0x5a9f19f6, "ipv6_dev_get_saddr" },
	{ 0x6f2e059d, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x73331fb6, "ipv4_mtu" },
	{ 0xbee759e2, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfb033836, "iptunnel_handle_offloads" },
	{ 0xe35c45ed, "icmpv6_ndo_send" },
	{ 0x2541c790, "kfree_skb_reason" },
	{ 0x6479c476, "icmp_ndo_send" },
	{ 0x6d8cf285, "skb_clone" },
	{ 0x60c3e71a, "skb_pull" },
	{ 0xd2dc083, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x537e1708, "gro_cells_receive" },
	{ 0xd70f82db, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf95caa8a, "__iptunnel_pull_header" },
	{ 0xa062fbf5, "metadata_dst_alloc" },
	{ 0x15a9b49c, "__xfrm_policy_check" },
	{ 0xc5c2b8f9, "ip_route_output_flow" },
	{ 0xd7568d26, "ip_route_input_noref" },
	{ 0xbb0a8bfb, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x978592d5, "dev_get_tstats64" },
	{ 0x89047601, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x79123b15, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x98c164dd, "ipv6_chk_addr_and_flags" },
	{ 0x6baad4cf, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x5deee27f, "register_pernet_device" },
	{ 0xcc920eac, "xfrm6_tunnel_register" },
	{ 0x317eabda, "rtnl_link_register" },
	{ 0x3b8daa82, "unregister_pernet_device" },
	{ 0x90cef672, "xfrm6_tunnel_deregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe8a32275, "unregister_netdevice_queue" },
	{ 0x1572520d, "dev_addr_mod" },
	{ 0xc4ca6e2, "rt6_lookup" },
	{ 0xecbd3720, "dst_release" },
	{ 0x250bd217, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5630649C52513E317EF003F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
