#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x040a78e9, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x85c96211, "");
SYMBOL_CRC(ieee802154_free_hw, 0xb850d1b0, "");
SYMBOL_CRC(ieee802154_register_hw, 0x0aa67251, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x194a1319, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xa9dcd92d, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x98b8a36d, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x8836c837, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xb7694263, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x954444f4, "nl802154_scan_started" },
	{ 0x32d140ef, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e7d09dc, "__alloc_skb" },
	{ 0xe2ab5fb9, "skb_copy_expand" },
	{ 0x55c24ee6, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x5bbb061e, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc1a5ac5d, "perf_trace_run_bpf_submit" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfd7ccfa8, "wpan_phy_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc5cf4a87, "crypto_aead_encrypt" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2541c790, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xad74208d, "skb_push" },
	{ 0x6c00a2da, "ieee802154_hdr_peek" },
	{ 0xeb112249, "wpan_phy_free" },
	{ 0xde88bdb0, "netif_receive_skb" },
	{ 0xa5d96294, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x454ec264, "free_netdev" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x462acd6c, "bpf_trace_run1" },
	{ 0xf78ca43d, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe660e1f6, "ieee802154_hdr_pull" },
	{ 0xff5a0d3a, "nl802154_scan_event" },
	{ 0xef6e20c9, "crypto_alloc_sync_skcipher" },
	{ 0xa715db91, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb98cb693, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf4d84549, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb2a42b5d, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1f9296cc, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x97ccee45, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8e292f5b, "wpan_phy_new" },
	{ 0x6d8cf285, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x14481b7f, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x75546d8, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x770abc1c, "register_netdevice" },
	{ 0x861974fe, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2bd9c9d9, "bpf_trace_run4" },
	{ 0x9606e5e0, "nl802154_beaconing_done" },
	{ 0x5a9d6fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x41b0ced1, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb109d43b, "trace_raw_output_prep" },
	{ 0xee5de1ba, "skb_dequeue" },
	{ 0xeeae7c4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x7018c8a2, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x57a88516, "dev_alloc_name" },
	{ 0x47a8add0, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x23a76dfc, "ieee802154_mac_cmd_push" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x9e6be31b, "pcpu_hot" },
	{ 0xa6fdad7e, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xab18ab18, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf2da2426, "netdev_warn" },
	{ 0xbadca538, "crypto_aead_setauthsize" },
	{ 0x6f01e555, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x299e33b6, "crypto_skcipher_setkey" },
	{ 0xe8a32275, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x91e0e2ec, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e165aeb, "wpan_phy_unregister" },
	{ 0xa510e978, "trace_event_buffer_commit" },
	{ 0x1572520d, "dev_addr_mod" },
	{ 0x38d44fc6, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x56f3687b, "alloc_netdev_mqs" },
	{ 0x2b1fafdb, "nl802154_scan_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "31061B4F8AD2A6061212376");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
