#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rt5682_supply_names, "_gpl", "");
KSYMTAB_FUNC(rt5682_apply_patch_list, "_gpl", "");
KSYMTAB_DATA(rt5682_reg, "_gpl", "");
KSYMTAB_FUNC(rt5682_volatile_register, "_gpl", "");
KSYMTAB_FUNC(rt5682_readable_register, "_gpl", "");
KSYMTAB_FUNC(rt5682_reset, "_gpl", "");
KSYMTAB_FUNC(rt5682_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5682_jack_detect_handler, "_gpl", "");
KSYMTAB_FUNC(rt5682_register_dai_clks, "_gpl", "");
KSYMTAB_DATA(rt5682_aif1_dai_ops, "_gpl", "");
KSYMTAB_DATA(rt5682_aif2_dai_ops, "_gpl", "");
KSYMTAB_DATA(rt5682_soc_component_dev, "_gpl", "");
KSYMTAB_FUNC(rt5682_parse_dt, "_gpl", "");
KSYMTAB_FUNC(rt5682_get_ldo1, "_gpl", "");
KSYMTAB_FUNC(rt5682_calibrate, "_gpl", "");

SYMBOL_CRC(rt5682_supply_names, 0x0d18594a, "_gpl");
SYMBOL_CRC(rt5682_apply_patch_list, 0x477920a4, "_gpl");
SYMBOL_CRC(rt5682_reg, 0xb897de56, "_gpl");
SYMBOL_CRC(rt5682_volatile_register, 0x8182f229, "_gpl");
SYMBOL_CRC(rt5682_readable_register, 0x52d60578, "_gpl");
SYMBOL_CRC(rt5682_reset, 0x2466eabe, "_gpl");
SYMBOL_CRC(rt5682_sel_asrc_clk_src, 0x9f862d2d, "_gpl");
SYMBOL_CRC(rt5682_jack_detect_handler, 0x59d3d967, "_gpl");
SYMBOL_CRC(rt5682_register_dai_clks, 0x73b15774, "_gpl");
SYMBOL_CRC(rt5682_aif1_dai_ops, 0xd458e879, "_gpl");
SYMBOL_CRC(rt5682_aif2_dai_ops, 0x3f6f537a, "_gpl");
SYMBOL_CRC(rt5682_soc_component_dev, 0xb1a367d4, "_gpl");
SYMBOL_CRC(rt5682_parse_dt, 0x77f1f302, "_gpl");
SYMBOL_CRC(rt5682_get_ldo1, 0x5d6ad5fa, "_gpl");
SYMBOL_CRC(rt5682_calibrate, 0x8227895a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5c76530, "device_property_read_u32_array" },
	{ 0x8a3c042b, "snd_soc_info_volsw" },
	{ 0xb95e386b, "_dev_err" },
	{ 0x22a0dadf, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaf5cd762, "device_property_read_string_array" },
	{ 0x5c106caf, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0xa6742c2e, "snd_soc_dapm_get_pin_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd064c7b5, "snd_soc_info_enum_double" },
	{ 0xed2fdaa5, "snd_soc_get_volsw" },
	{ 0x5766c7d3, "regmap_read" },
	{ 0xd752ad02, "snd_soc_put_volsw" },
	{ 0x143b7a5a, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x6608a441, "clk_hw_get_parent" },
	{ 0x7e10b10b, "regmap_update_bits_base" },
	{ 0xc4690b88, "regmap_multi_reg_write" },
	{ 0xdfe7d68a, "snd_soc_dapm_get_volsw" },
	{ 0xb5d32ab5, "snd_soc_dapm_get_enum_double" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x97bfdef7, "snd_soc_dapm_put_enum_double" },
	{ 0x2b677479, "device_property_present" },
	{ 0x7451c49a, "devm_clk_hw_register_clkdev" },
	{ 0xacab2a9d, "regcache_cache_only" },
	{ 0x6b1a8cd1, "regcache_sync" },
	{ 0x7f56c4ec, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x598f6ed4, "snd_soc_jack_report" },
	{ 0x3bf6adf1, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x4bfb66a6, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa941ded4, "snd_soc_dapm_disable_pin" },
	{ 0xc7a1d038, "devm_clk_hw_register" },
	{ 0xe682caa1, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3386abdb, "clk_hw_get_name" },
	{ 0x4526a192, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x6365e5e, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ea7614e, "snd_soc_component_write" },
	{ 0xb7cd6cf5, "snd_soc_dapm_sync" },
	{ 0xa9766df5, "__clk_get_hw" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");


MODULE_INFO(srcversion, "FC6B14E24C06BF5557FF439");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
