#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22072d5c, "input_register_device" },
	{ 0xdcb5baea, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x3869ea59, "usb_submit_urb" },
	{ 0xa27a7b8f, "snd_card_new" },
	{ 0x586006d3, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4ee851d6, "snd_card_set_id" },
	{ 0xb95e386b, "_dev_err" },
	{ 0xf95497e0, "snd_card_free_when_closed" },
	{ 0xacf4b0cb, "usb_set_interface" },
	{ 0xb9fb7771, "snd_pcm_set_ops" },
	{ 0x8f62006b, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbbfd512a, "usb_string" },
	{ 0x20fad9b7, "snd_pcm_set_managed_buffer_all" },
	{ 0xe69c7821, "_dev_warn" },
	{ 0xab42500d, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x42551375, "input_event" },
	{ 0x66607bd4, "input_set_abs_params" },
	{ 0x3541d5c9, "snd_rawmidi_new" },
	{ 0x93a333bc, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd32d03ea, "snd_rawmidi_set_ops" },
	{ 0x89047601, "param_ops_bool" },
	{ 0x833af8aa, "usb_kill_urb" },
	{ 0xb66b6569, "usb_init_urb" },
	{ 0x8b2f02bf, "snd_pcm_period_elapsed" },
	{ 0xf7363b9, "kmalloc_trace" },
	{ 0xd8a8ba88, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61fd21b1, "kmalloc_caches" },
	{ 0xdcb82f07, "input_allocate_device" },
	{ 0x45847a66, "usb_alloc_urb" },
	{ 0xa8d3c76f, "snd_rawmidi_receive" },
	{ 0x1f6ebe19, "usb_free_urb" },
	{ 0x69255f54, "snd_pcm_hw_limit_rates" },
	{ 0x7c42ebb1, "snd_rawmidi_transmit" },
	{ 0xf361e9f, "snd_ctl_add" },
	{ 0xffeabba6, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x40f7a7d0, "snd_card_register" },
	{ 0xa81fa4bc, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa5f985bc, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xd6b1235c, "param_array_ops" },
	{ 0x2374fd6d, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x44fa830a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7cdb013, "input_free_device" },
	{ 0x1e6d43ba, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb14dd8e9, "usb_bulk_msg" },
	{ 0x7744f14b, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "93A208D35714251E6D6A372");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
